webpackJsonp([11],{

/***/ 1001:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StudentInfoEditPageModule", function() { return StudentInfoEditPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__student_info_edit__ = __webpack_require__(1070);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var StudentInfoEditPageModule = /** @class */ (function () {
    function StudentInfoEditPageModule() {
    }
    StudentInfoEditPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__student_info_edit__["a" /* StudentInfoEditPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__student_info_edit__["a" /* StudentInfoEditPage */]),
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], StudentInfoEditPageModule);
    return StudentInfoEditPageModule;
}());

//# sourceMappingURL=student-info-edit.module.js.map

/***/ }),

/***/ 1070:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StudentInfoEditPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var StudentInfoEditPage = /** @class */ (function () {
    function StudentInfoEditPage(navCtrl, navParams, service, userData, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.userData = userData;
        this.events = events;
        this.studentList = {};
        //Occupation List
        this.occupationList = [];
        this.selectoccupationM = {};
        this.selectoccupationF = {};
        //Contact Mode
        this.contactMode = [];
        this.parentsNameF = {};
        this.parentsNameM = {};
        //Father Details
        this.fat_Contact = [];
        //Mother Details
        this.mot_Contact = [];
        this.events.subscribe("StudentInfoPage", function (data) {
            if (data != null) {
                _this.studentList = data;
                _this.getOccupationList();
                _this.getContactMode();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.studentList.Swdob = _this.studentList.Swdob.replace("DOB", "");
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getOccupationList();
                        _this.getContactMode();
                    }
                });
            }
        });
    }
    StudentInfoEditPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad StudentInfoEditPage');
    };
    StudentInfoEditPage.prototype.getOccupationList = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_34" /* PARENT_OCC_LIST */],
            this.studentInfo.Oid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobPOccuplistResult == "[]" || data.MobPOccuplistResult == "No Data") {
                _this.service.hide();
                _this.occupationList = [];
            }
            else {
                _this.service.hide();
                var oList = JSON.parse(data.MobPOccuplistResult);
                if (oList.length > 0) {
                    _this.occupationList = oList;
                    console.log("Occupation List", _this.occupationList);
                }
                else {
                    _this.service.hide();
                    _this.occupationList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_34" /* PARENT_OCC_LIST */] + " ", error);
        });
    };
    StudentInfoEditPage.prototype.getContactMode = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_49" /* SI_CONTACT_MODE */],
            this.studentInfo.Oid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.Mob_SIContactModeResult == "[]" || data.Mob_SIContactModeResult == "No Data") {
                _this.contactMode = [];
            }
            else {
                var cList = JSON.parse(data.Mob_SIContactModeResult);
                if (cList.length > 0) {
                    _this.contactMode = cList;
                    _this.parentsNameF = _this.contactMode[0];
                    _this.parentsNameM = _this.contactMode[1];
                    _this.getFatherDetail();
                    _this.getMotherDetail();
                    console.log("Contact Mode", _this.contactMode);
                }
                else {
                    _this.contactMode = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_49" /* SI_CONTACT_MODE */] + " ", error);
        });
    };
    StudentInfoEditPage.prototype.getFatherDetail = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_50" /* SI_CONTACT_SELECT */],
            this.parentsNameF.Cn,
            this.studentList.Swsi,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.Mob_SICMSelectionResult == "[]" || data.Mob_SICMSelectionResult == "No Data") {
                _this.fat_Contact = [];
            }
            else {
                var fContact = JSON.parse(data.Mob_SICMSelectionResult);
                if (fContact.length > 0) {
                    _this.fat_Contact = fContact;
                    _this.contactNoF = _this.fat_Contact[0].Mn;
                }
                else {
                    _this.fat_Contact = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_50" /* SI_CONTACT_SELECT */] + " ", error);
        });
    };
    StudentInfoEditPage.prototype.getMotherDetail = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_50" /* SI_CONTACT_SELECT */],
            this.parentsNameM.Cn,
            this.studentList.Swsi,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.Mob_SICMSelectionResult == "[]" || data.Mob_SICMSelectionResult == "No Data") {
                _this.mot_Contact = [];
            }
            else {
                var mContact = JSON.parse(data.Mob_SICMSelectionResult);
                if (mContact.length > 0) {
                    _this.mot_Contact = mContact;
                    _this.contactNoM = _this.mot_Contact[0].Mn;
                }
                else {
                    _this.mot_Contact = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_50" /* SI_CONTACT_SELECT */] + " ", error);
        });
    };
    StudentInfoEditPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-student-info-edit',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\student-info-edit\student-info-edit.html"*/'<ion-header> \n  <commonheader></commonheader>\n</ion-header> \n\n<ion-content>\n  <div>\n    <ion-segment [(ngModel)]="info">\n      <ion-segment-button value="student">\n        Student Info\n      </ion-segment-button>\n      <ion-segment-button value="parent">\n        Parent Info\n      </ion-segment-button>\n      <ion-segment-button value="medical">\n        Medical Info\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n\n  <div [ngSwitch]="info">\n    <ion-list no-lines *ngSwitchCase="\'student\'">\n      <ion-card class="cardview">\n        <ion-card-content style="padding: 0px">\n          <table style="width:100%">\n            <tbody>\n              <tr>\n                <td style="width: 145px;" class="headtop">Primary Contact</td>\n                <td class="selcard">\n                  <ion-select style="position: relative" interface="popover" [(ngModel)]="parentsNameM" (ionChange)="getMotherDetail()">\n                    <ion-option [value]="con" *ngFor="let con of contactMode">{{con.Cn}}</ion-option>\n                  </ion-select>\n                </td>\n              </tr>\n            </tbody>\n          </table>\n        </ion-card-content>\n      </ion-card>\n    </ion-list>\n  </div>\n\n</ion-content>'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\student-info-edit\student-info-edit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], StudentInfoEditPage);
    return StudentInfoEditPage;
}());

//# sourceMappingURL=student-info-edit.js.map

/***/ })

});
//# sourceMappingURL=11.js.map