webpackJsonp([17],{

/***/ 1062:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PolicyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var PolicyPage = /** @class */ (function () {
    function PolicyPage(navCtrl, navParams, app, service, userData, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.app = app;
        this.service = service;
        this.userData = userData;
        this.events = events;
        this.studentList = {};
        this.policyDet = [];
        this.events.subscribe("PolicyPage", function (data) {
            if (data != null) {
                _this.studentList = data;
                _this.checkPolicy();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.checkPolicy();
                    }
                });
            }
        });
    }
    PolicyPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad PolicyPage');
    };
    PolicyPage.prototype.checkPolicy = function () {
        var _this = this;
        this.service.show();
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_39" /* POLICY_DET */],
            this.studentList.Swsid,
            "VC"
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.ParentPolicyDetResult == "[]" || data.ParentPolicyDetResult == "No Data") {
                _this.service.hide();
                _this.policyDet = [];
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.ParentPolicyDetResult);
                if (obj.length > 0) {
                    _this.policyDet = obj[0];
                    console.log("Policy List", _this.policyDet);
                }
                else {
                    _this.policyDet = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_39" /* POLICY_DET */] + " ", error);
        });
    };
    PolicyPage.prototype.policyAccept = function () {
        var _this = this;
        debugger;
        this.service.show();
        var postdata = {};
        var userdet = {
            "UsersysID": this.studentInfo.Uno,
            "Type": "VC"
        };
        postdata["UserDet"] = userdet;
        var params = JSON.stringify(postdata);
        var method = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_38" /* POLICY_ACCEPT */];
        this.service.postMethod(method, params).subscribe(function (result) {
            if (result.ParentPolicyAcceptResult == "[]" || result.ParentPolicyAcceptResult == "No Data") {
                _this.service.hide();
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(result.ParentPolicyAcceptResult);
                if (obj.length > 0) {
                    _this.navCtrl.setRoot("VirtualclassPage");
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_38" /* POLICY_ACCEPT */] + " ", error);
        });
    };
    PolicyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-policy',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\policy\policy.html"*/'<ion-content padding>\n  <div [innerHTML]="policyDet.PrivacyContent">\n\n  </div>\n  <div style="text-align: center;">\n    <button small class="blubtn" ion-button style="padding: 17px;" (click)="policyAccept()">Accept</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\policy\policy.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* App */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], PolicyPage);
    return PolicyPage;
}());

//# sourceMappingURL=policy.js.map

/***/ }),

/***/ 994:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PolicyPageModule", function() { return PolicyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__policy__ = __webpack_require__(1062);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PolicyPageModule = /** @class */ (function () {
    function PolicyPageModule() {
    }
    PolicyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__policy__["a" /* PolicyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__policy__["a" /* PolicyPage */]),
            ],
        })
    ], PolicyPageModule);
    return PolicyPageModule;
}());

//# sourceMappingURL=policy.module.js.map

/***/ })

});
//# sourceMappingURL=17.js.map