webpackJsonp([26],{

/***/ 1053:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NoticeDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var NoticeDetailPage = /** @class */ (function () {
    function NoticeDetailPage(navCtrl, navParams, events, service, userData, inAppBrowser, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.inAppBrowser = inAppBrowser;
        this.storage = storage;
        this.loginType = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_22" /* LOGIN */];
        this.type = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_29" /* NOTICE_TYPE */];
        this.studentList = [];
        this.list = {};
        this.year = {};
        this.noticeListFile = [];
        this.year = navParams.get('year');
        this.list = navParams.get('list');
        this.title = this.list.Ntt;
        this.storage.get("studentInfo").then(function (data) {
            _this.logo = data.Logo;
        });
        this.events.subscribe("NoticeDetailPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.getNotice();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getNotice();
                    }
                });
            }
        });
    }
    NoticeDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad NoticeDetailPage');
    };
    NoticeDetailPage.prototype.getNotice = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["y" /* CIRCUL_FILELIST */],
            this.studentList.Swpsid,
            this.loginType,
            this.studentList.Swsi,
            this.year.cm,
            this.list.Nid,
            this.studentInfo.Gid
        ];
        // this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.CircularFilelistResult == "[]" || data.CircularFilelistResult == "No data") {
                // this.service.hide();
                _this.noticeListFile = [];
            }
            else {
                // this.service.hide();
                var circulFile = JSON.parse(data.CircularFilelistResult);
                if (circulFile.length > 0) {
                    _this.noticeListFile = circulFile;
                    console.log("list Notice View", _this.noticeListFile);
                }
                else {
                    _this.noticeListFile = [];
                }
            }
        }, function (error) {
            // this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["y" /* CIRCUL_FILELIST */] + " ", error);
        });
    };
    NoticeDetailPage.prototype.showPdf = function (url) {
        var options = {
            zoom: 'yes'
        };
        if (url == null) {
            this.service.showToast("No Pdf Available");
        }
        else {
            var target = "_system";
            this.inAppBrowser.create(url, target, options);
        }
    };
    NoticeDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-notice-detail',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\notice-detail\notice-detail.html"*/'<ion-header>\n  <ion-navbar >\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height:40px" [src]="logo"></ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <section style="padding: 15px 15px 10px">\n    <h3 class="heading">Notice Board Detail</h3>\n  </section>\n\n  <section style="padding: 10px 15px">\n    <ion-card class="buscard parents" style="margin-top:0px" >\n      <ion-card-content style="padding:20PX 20px 10px;" >\n        <h2 style="font-size: 19px; FONT-WEIGHT: 500;">{{title}} </h2>\n        <div style="text-align: left; padding: 8px 0px;" class="lightfont">\n          <img src="assets/imgs/calender-icon.png" style="width: auto;display: inline-block;height: 20px;vertical-align: bottom;">\n          {{list.Nsd}}\n        </div>\n        <p style="padding:10px 0px"><span [innerHTML]="list.Nmg"></span></p>\n        <span *ngFor="let file of noticeListFile">\n          <button ion-button clear style="padding: 8px 15px 8px 0px;" (click)="showPdf(file.Fn)">\n            <img src="assets/imgs/file.png">\n          </button>\n      </span>\n      </ion-card-content>\n    </ion-card>\n  </section>\n</ion-content>\n\n\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\notice-detail\notice-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */]])
    ], NoticeDetailPage);
    return NoticeDetailPage;
}());

//# sourceMappingURL=notice-detail.js.map

/***/ }),

/***/ 985:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NoticeDetailPageModule", function() { return NoticeDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notice_detail__ = __webpack_require__(1053);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NoticeDetailPageModule = /** @class */ (function () {
    function NoticeDetailPageModule() {
    }
    NoticeDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__notice_detail__["a" /* NoticeDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__notice_detail__["a" /* NoticeDetailPage */]),
            ],
        })
    ], NoticeDetailPageModule);
    return NoticeDetailPageModule;
}());

//# sourceMappingURL=notice-detail.module.js.map

/***/ })

});
//# sourceMappingURL=26.js.map