webpackJsonp([29],{

/***/ 1050:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LocationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var LocationPage = /** @class */ (function () {
    function LocationPage(navCtrl, navParams, events, service, userData, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.studentLocationList = {};
        this.events.subscribe("LocationPage", function (data) {
            if (data != null) {
                _this.studentLocationList = data;
                _this.getLocation();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentLocationList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getLocation();
                    }
                });
            }
        });
    }
    LocationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LocationPage');
    };
    LocationPage.prototype.getLocation = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_48" /* SITE_GPS */],
            this.studentLocationList.Swsid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobGetSiteGPSResult == "[]" || data.MobGetSiteGPSResult == "No data") {
                _this.service.hide();
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var total_latlng = JSON.parse(data.MobGetSiteGPSResult);
                _this.loadMarkers(total_latlng);
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_48" /* SITE_GPS */] + " ", error);
        });
    };
    LocationPage.prototype.loadMarkers = function (total_latlng) {
        var geocoder = new google.maps.Geocoder();
        var markers = new Array();
        var min_lat = 90;
        var max_lat = -90;
        var min_long = 180;
        var max_long = -180;
        var lat = 0;
        var lng = 0;
        var mapPoints = total_latlng;
        var icon = new Array();
        // icon = "img/school.png";
        for (var i = 0; i < mapPoints.length; i++) {
            lat = parseFloat(mapPoints[i].lat);
            lng = parseFloat(mapPoints[i].long);
            //******************Finding Center Lat Long**************
            if (lat < min_lat) {
                min_lat = lat;
            }
            if (lat > max_lat) {
                max_lat = lat;
            }
            if (lng < min_long) {
                min_long = lng;
            }
            if (lng > max_long) {
                max_long = lng;
            }
            //End of - Finding Marker direction
            markers[i] = {
                "title": mapPoints[i],
                "lat": lat,
                "lng": lng,
                "description": '<i class="icon ion-android-pin" style="font-size:19px;color:#2196F3;"/></i>&nbsp&nbsp&nbsp&nbsp&nbsp',
                "icon": icon,
            };
        }
        min_lat = min_lat + (max_lat - min_lat) / 2;
        min_long = min_long + (max_long - min_long) / 2;
        var mapOptions = {
            center: new google.maps.LatLng(min_lat, min_long),
            zoom: 17,
            mapTypeControl: true,
            mapTypeControlOptions: {
                position: google.maps.ControlPosition.BOTTOM_CENTER
            },
            panControl: false,
            zoomControl: true,
            zoomControlOptions: {
                style: google.maps.ZoomControlStyle.SMALL,
                position: google.maps.ControlPosition.RIGHT_BOTTOM
            },
            mapTypeId: google.maps.MapTypeId.ROADMAP
            //  marker:true
        };
        var infoWindow = new google.maps.InfoWindow();
        var latlngbounds = new google.maps.LatLngBounds();
        var element = this.mapElement.nativeElement;
        var map = new google.maps.Map(element, mapOptions);
        for (var i = 0; i < markers.length; i++) {
            var data = markers[i];
            var myLatlng = new google.maps.LatLng(data.lat, data.lng);
            var marker = new google.maps.Marker({
                position: myLatlng,
                map: map,
                icon: icon
            });
            latlngbounds.extend(marker.position);
            (function (marker, data) {
                // Attaching a click event to the current marker
                google.maps.event.addListener(marker, "mouseover", function (e) {
                    //Get address
                    geocoder = new google.maps.Geocoder();
                    var latLng = new google.maps.LatLng(data.lat, data.lng);
                    (function () {
                        geocoder.geocode({
                            latLng: latLng
                        }, function (responses) {
                            if (responses && responses.length > 0) {
                                infoWindow.setContent(data.description + ' ' + responses[0].formatted_address);
                                infoWindow.open(map, marker);
                            }
                        });
                    })();
                });
            })(marker, data);
        }
        map.setCenter(latlngbounds.getCenter());
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])("map"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], LocationPage.prototype, "mapElement", void 0);
    LocationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-location',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\location\location.html"*/'\n<ion-header>\n    <commonheader></commonheader> \n</ion-header>\n\n<ion-content no-padding>\n  <div #map id="map"></div>\n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer> \n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\location\location.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */]])
    ], LocationPage);
    return LocationPage;
}());

//# sourceMappingURL=location.js.map

/***/ }),

/***/ 981:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LocationPageModule", function() { return LocationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__location__ = __webpack_require__(1050);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LocationPageModule = /** @class */ (function () {
    function LocationPageModule() {
    }
    LocationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__location__["a" /* LocationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__location__["a" /* LocationPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], LocationPageModule);
    return LocationPageModule;
}());

//# sourceMappingURL=location.module.js.map

/***/ })

});
//# sourceMappingURL=29.js.map