webpackJsonp([37],{

/***/ 1042:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HealthinfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HealthinfoPage = /** @class */ (function () {
    function HealthinfoPage(navCtrl, navParams, events, service, userData, storage, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.zone = zone;
        this.isChecked = true;
        this.studentHwList = {};
        this.healthinfolist = [];
        this.open = null;
        this.close = null;
        this.events.subscribe("HealthinfoPage", function (data) {
            if (data != null) {
                _this.isChecked = true;
                _this.studentHwList = data;
                zone.run(function () {
                    _this.getallhealthinfo("A");
                });
            }
        });
        this.service.getCurrentStudentData().then(function (currentstuddata) {
            if (currentstuddata != null) {
                debugger;
                _this.studentHwList = currentstuddata;
                _this.userData.getValidateLoggedUser().then(function (logData) {
                    if (logData != null) {
                        _this.studentInfo = logData;
                        zone.run(function () {
                            _this.getallhealthinfo("A");
                        });
                    }
                });
            }
        });
    }
    HealthinfoPage.prototype.isLevel1Shown = function (idx) {
        return this.open === idx;
    };
    HealthinfoPage.prototype.isLevel2Shown = function (idx) {
        return this.close === idx;
    };
    HealthinfoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HealthinfoPage');
    };
    HealthinfoPage.prototype.addValue = function (e) {
        this.isChecked = e.checked;
        if (this.isChecked) {
            this.getallhealthinfo("A");
        }
        else {
            this.getallhealthinfo("C");
        }
    };
    HealthinfoPage.prototype.getallhealthinfo = function (year) {
        var _this = this;
        debugger;
        this.open = null;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_7" /* HEALTHDETAILS */],
            this.studentHwList.Swsi,
            year,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetMobHealthDetailsResult == "[]" || data.GetMobHealthDetailsResult == "No data") {
                _this.healthinfolist = [];
                _this.service.hide();
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var heYearList = JSON.parse(data.GetMobHealthDetailsResult);
                if (heYearList.length > 0) {
                    _this.healthinfolist = [];
                    var groupbyarray = _this.groupby(heYearList, 'Vy');
                    for (var i = 0; i < groupbyarray.length; i++) {
                        var newobj = {};
                        newobj.category = groupbyarray[i][0].Vy;
                        newobj.count = groupbyarray[i].length;
                        newobj.subs = groupbyarray[i];
                        _this.healthinfolist.push(newobj);
                    }
                    debugger;
                    _this.healthinfolist.map(function (res, idx) {
                        if (res.subs.length > 0) {
                            res.subs.map(function (result) {
                                if (result.Vy == year) {
                                    return _this.open = 'idx' + idx;
                                }
                            });
                        }
                    });
                    console.log("Detailed Value Of Subject", _this.healthinfolist);
                }
                else {
                    _this.service.hide();
                    _this.healthinfolist = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_19" /* HW_YEARLIST */] + " ", error);
        });
    };
    HealthinfoPage.prototype.groupby = function (collection, property) {
        var i = 0, val, index, values = [], result = [];
        for (; i < collection.length; i++) {
            val = collection[i][property];
            index = values.indexOf(val);
            if (index > -1)
                result[index].push(collection[i]);
            else {
                values.push(val);
                result.push([collection[i]]);
            }
        }
        return result;
    };
    HealthinfoPage.prototype.toggleLevel1 = function (idx) {
        if (this.isLevel1Shown(idx)) {
            this.open = null;
        }
        else {
            this.open = idx;
        }
    };
    HealthinfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-healthinfo',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\healthinfo\healthinfo.html"*/'<ion-header>\n    <commonheader></commonheader>\n</ion-header>\n<ion-content>\n    <section style="padding: 10px 10px 0px 10px">\n        <h3 class="heading">Health Details</h3>\n        <ion-card class="buscard selcard">\n            <ion-card-content style="padding: 3px 10px 0px;">\n                <div class="item" style="text-align: end;">\n                    <ion-checkbox class="hecked" [(ngModel)]="isChecked" (ionChange)="addValue($event)"></ion-checkbox>\n                    <label class="lightfont">View past year records</label>\n                </div> \n            </ion-card-content>\n        </ion-card>\n    </section>\n    <section style="padding: 0px 10px">\n        <ion-card class="hwcard" *ngFor="let p of healthinfolist; let i=index">\n            <ion-list style="margin-bottom:0px">\n                <button ion-item (click)="toggleLevel1(\'idx\'+i)">\n                     Visit Year : {{p.category}}\n                    <span class="badge" [hidden]="p.count == 0">\n                        {{p.count}}\n                    </span>\n                    <ion-icon color="success" *ngIf="p.subs" item-right\n                        [name]="isLevel1Shown(\'idx\'+i) ? \'arrow-down\' : \'arrow-forward\'"></ion-icon>\n                </button>\n                <ion-list *ngIf="isLevel1Shown(\'idx\'+i)" style="margin: 0px">\n                    <ion-item *ngFor="let s of p.subs; let i2=index" text-wrap style="background:transparent;">\n                        <table class="sptb">\n                            <tr>\n                                <td>\n                                   Visit Date\n                                </td>\n                                <td>\n                                    {{s.Dd}}\n                                </td>\n                            </tr>\n                            <tr>\n                                <td>\n                                    Time\n                                </td>\n                                <td>\n                                    {{s.Ti}}\n                                </td>\n                            </tr>\n                            <tr>\n                                <td>\n                                    Complaints\n                                </td>\n                                <td>\n                                    {{s.Com}}\n                                </td>\n                            </tr>\n                            <tr>\n                                <td>\n                                    Treatment\n                                </td>\n                                <td>\n                                    {{s.Tr}}\n                                </td>\n                            </tr>      \n                            <tr>\n                                <td>\n                                    Remarks\n                                </td>\n                                <td>\n                                    {{s.Rms}}\n                                </td>\n                            </tr>                                                  \n                        </table>\n                    </ion-item>\n                </ion-list>\n            </ion-list>\n        </ion-card>\n    </section>\n</ion-content>'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\healthinfo\healthinfo.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], HealthinfoPage);
    return HealthinfoPage;
}());

//# sourceMappingURL=healthinfo.js.map

/***/ }),

/***/ 973:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HealthinfoPageModule", function() { return HealthinfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__healthinfo__ = __webpack_require__(1042);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HealthinfoPageModule = /** @class */ (function () {
    function HealthinfoPageModule() {
    }
    HealthinfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__healthinfo__["a" /* HealthinfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__healthinfo__["a" /* HealthinfoPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], HealthinfoPageModule);
    return HealthinfoPageModule;
}());

//# sourceMappingURL=healthinfo.module.js.map

/***/ })

});
//# sourceMappingURL=37.js.map