webpackJsonp([38],{

/***/ 1041:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FindMatchLocationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var FindMatchLocationPage = /** @class */ (function () {
    function FindMatchLocationPage(navCtrl, service, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.navParams = navParams;
        this.poolList = {};
    }
    FindMatchLocationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FindMatchLocationPage');
        this.poolList = this.navParams.get('poolList');
        this.getLocationAddress(this.poolList);
    };
    FindMatchLocationPage.prototype.getLocationAddress = function (poolList) {
        if (poolList != undefined && poolList) {
            var distance = poolList.Dis;
            var routePath = [{
                    lat: poolList.LAT,
                    lng: poolList.LONG,
                },
                {
                    lat: poolList.Stlat,
                    lng: poolList.Stlong,
                }];
            //  let latlng = new google.maps.LatLng(lat, lng);
            this.SearchRoute(routePath, distance);
        }
        else {
            this.service.showToast("No Record Found");
        }
    };
    FindMatchLocationPage.prototype.SearchRoute = function (routePath, distance) {
        var _this = this;
        var map;
        var start = new google.maps.LatLng(routePath[0].lat, routePath[0].lng);
        var end = new google.maps.LatLng(routePath[1].lat, routePath[1].lng);
        var mapOptions = {
            center: start,
            zoom: 15
        };
        var element = this.mapElement.nativeElement;
        map = new google.maps.Map(element, mapOptions);
        var directionDisplay = new google.maps.DirectionsRenderer();
        var directionService = new google.maps.DirectionsService();
        var infowindow = new google.maps.InfoWindow();
        var bounds = new google.maps.LatLngBounds();
        bounds.extend(start);
        bounds.extend(end);
        map.fitBounds(bounds);
        var request = {
            origin: start,
            destination: end,
            travelMode: google.maps.TravelMode.DRIVING
        };
        directionService.route(request, function (response, status) {
            if (status == google.maps.DirectionsStatus.OK) {
                directionDisplay.setDirections(response);
                directionDisplay.setMap(map);
                directionDisplay.setOptions({ suppressMarkers: true });
                var leg = response.routes[0].legs[0];
                console.log(leg);
                debugger;
                _this.startMarker(leg.start_location, "your location", map, leg.start_address, infowindow);
                _this.endMarker(leg.end_location, "search location", map, leg.end_address, infowindow);
            }
            else {
                console.log("Directions Request from " + start.toUrlValue(6) + " to " + end.toUrlValue(6) + " failed: " + status);
            }
        });
        this.showDistance(distance, map);
    };
    FindMatchLocationPage.prototype.showDistance = function (distance, map) {
        var controlDiv = document.createElement('Div');
        controlDiv.style.width = '200px';
        controlDiv.style.height = '37px';
        controlDiv.style.color = '#FFFFFF';
        controlDiv.style.fontSize = '18px';
        controlDiv.style.display = 'flex';
        controlDiv.style.alignItems = 'center';
        controlDiv.style.paddingLeft = '6px';
        var t1 = document.createTextNode('Distance :  ');
        controlDiv.appendChild(t1);
        var t2 = document.createTextNode(distance);
        controlDiv.appendChild(t2);
        controlDiv.style.background = 'rgba(0, 0, 0, 0.42)';
        map.controls[google.maps.ControlPosition.TOP_RIGHT].push(controlDiv);
    };
    FindMatchLocationPage.prototype.startMarker = function (position, title, map, address, infowindow) {
        var _this = this;
        var marker1 = new google.maps.Marker({
            position: position,
            map: map,
            title: title,
            icon: "assets/icon/from.png"
        });
        google.maps.event.addListener(marker1, 'click', function () {
            infowindow.setContent('<div><strong>Your Location</strong><br>' +
                'address: ' + address + '</div>');
            infowindow.open(map, _this);
        });
    };
    FindMatchLocationPage.prototype.endMarker = function (position, title, map, address, infowindow1) {
        var _this = this;
        var marker2 = new google.maps.Marker({
            position: position,
            map: map,
            title: title,
            icon: "assets/icon/to.png"
        });
        google.maps.event.addListener(marker2, 'click', function () {
            infowindow1.setContent('<div><strong>Search Location</strong><br>' +
                'Address: ' + address + '</div>');
            infowindow1.open(map, _this);
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])("mapauto"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], FindMatchLocationPage.prototype, "mapElement", void 0);
    FindMatchLocationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-find-match-location',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\find-match-location\find-match-location.html"*/'\n<ion-header>\n  <ion-navbar>\n    <ion-title>Plot my Pickup Location</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content no-padding>\n    <div #mapauto id="mapauto"></div>\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\find-match-location\find-match-location.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */]])
    ], FindMatchLocationPage);
    return FindMatchLocationPage;
}());

//# sourceMappingURL=find-match-location.js.map

/***/ }),

/***/ 972:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FindMatchLocationPageModule", function() { return FindMatchLocationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__find_match_location__ = __webpack_require__(1041);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FindMatchLocationPageModule = /** @class */ (function () {
    function FindMatchLocationPageModule() {
    }
    FindMatchLocationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__find_match_location__["a" /* FindMatchLocationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__find_match_location__["a" /* FindMatchLocationPage */]),
            ],
        })
    ], FindMatchLocationPageModule);
    return FindMatchLocationPageModule;
}());

//# sourceMappingURL=find-match-location.module.js.map

/***/ })

});
//# sourceMappingURL=38.js.map