webpackJsonp([41],{

/***/ 1038:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeeReceiptPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(197);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var FeeReceiptPage = /** @class */ (function () {
    function FeeReceiptPage(navCtrl, navParams, events, service, userData, inAppBrowser) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.inAppBrowser = inAppBrowser;
        this.studentFeeList = {};
        this.finList = [];
        this.recepietdetail = [];
        this.selectoptions = {};
        this.events.subscribe("FeeReceiptPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentFeeList = data;
                _this.studentFeeList.Swdob = _this.studentFeeList.Swdob.replace("DOB", "");
                _this.getFinyear();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentFeeList = data;
                _this.studentFeeList.Swdob = _this.studentFeeList.Swdob.replace("DOB", "");
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getFinyear();
                    }
                });
            }
        });
    }
    FeeReceiptPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FeeReceiptPage');
    };
    FeeReceiptPage.prototype.getFinyear = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["Q" /* FIN_YEARLIST */],
            this.studentFeeList.Swsi,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetFinYearListResult == "[]" || data.GetFinYearListResult == "No data") {
                _this.service.hide();
                _this.finList = [];
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.GetFinYearListResult);
                if (obj.length > 0) {
                    _this.finList = obj;
                    _this.selectoptions = _this.finList[0];
                    _this.getReceiptDet();
                    console.log("Fin Year List", _this.finList);
                }
                else {
                    _this.service.hide();
                    _this.finList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["Q" /* FIN_YEARLIST */] + " ", error);
        });
    };
    FeeReceiptPage.prototype.getReceiptDet = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["P" /* FEE_RECEIPTDET */],
            this.studentFeeList.Swsi,
            this.selectoptions.Fid,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetFeeReceiptDetResult == "[]" || data.GetFeeReceiptDetResult == "No data") {
                _this.recepietdetail = [];
            }
            else {
                var obj = JSON.parse(data.GetFeeReceiptDetResult);
                if (obj.length > 0) {
                    _this.recepietdetail = obj;
                    console.log("Receipt Detail List", _this.recepietdetail);
                }
                else {
                    _this.recepietdetail = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["P" /* FEE_RECEIPTDET */] + " ", error);
        });
    };
    FeeReceiptPage.prototype.yearCompare = function (a1, b1) {
        if (a1.Fid === b1.Fid) {
            return true;
        }
        else {
            return false;
        }
    };
    FeeReceiptPage.prototype.showPdf_FL = function (url) {
        var urls = url.split('|');
        if (urls.length > 1) {
            url = urls[1];
        }
        else if (urls.length <= 1) {
            url = urls[0];
        }
        var options = {
            zoom: 'yes',
            location: 'yes'
        };
        if (url == null) {
            this.service.showToast("No Pdf Available");
        }
        else {
            var target = "_system";
            this.inAppBrowser.create(url, target, options);
        }
    };
    FeeReceiptPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-fee-receipt',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\fee-receipt\fee-receipt.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header>\n\n<ion-content>\n  <section style="padding: 5px 13px;">\n    <h3 class="heading">Fee Receipt</h3>\n    <ion-card class="buscard">\n      <ion-item style="padding: 5px 10px;">\n        <ion-avatar item-start>\n          <img [src]="studentFeeList.Swif">\n        </ion-avatar>\n        <h4 style="font-weight: 600; font-size: 16px;white-space: normal;word-break: break-word;">{{studentFeeList.Swn}}\n        </h4>\n        <p style="font-size: 15px; padding: 4px 0px;"><span>{{studentFeeList.Swcn}}</span> <span\n            style=" padding: 0px 7px;"> | </span><span>Adm.No - {{studentFeeList.Swan}}</span></p>\n      </ion-item>\n    </ion-card>\n  </section>\n\n  <section style="background:#e5e8ed;padding: 5px 13px">\n    <ion-card class="buscard">\n      <ion-card-content style="padding: 12px">\n        <div class="item">\n          <label class="lightfont">Academic Year</label>\n          <ion-select style="position: relative" interface="popover" [(ngModel)]="selectoptions"\n            (ionChange)="getReceiptDet()" [compareWith]="yearCompare" [disabled]="finList.length == 0">\n            <ion-option [value]="list" *ngFor="let list of finList">{{list.Fyn}}</ion-option>\n          </ion-select>\n        </div>\n      </ion-card-content>\n    </ion-card>\n  </section>\n\n  <section style="background:#f0f1f3;padding: 5px 13px">\n    <ion-card class="buscard parents">\n      <ion-card-content style="padding: 12px">\n        <div>\n          <table style="text-align: left;width:100%;">\n            <tr>\n              <th style="font-size: 12px;">S#</th>\n              <th style="font-size: 12px;">Trans. Date</th>\n              <Th style="font-size: 12px;">Credit</Th>\n              <th style="font-size: 12px;" class="alignment">Remarks</th>\n              <!-- <th><button color="clear" ion-button class="dowicon">\n                  <img src="assets/icon/down1.svg">\n                </button></th> -->\n            </tr>\n            <tr *ngFor="let receipt of recepietdetail">\n              <td style="font-size: 12px;">{{receipt.sno}}</td>\n              <td style="font-size: 12px;">{{receipt.td}}</td>\n              <td style="font-size: 12px;">{{receipt.cdt}}</td>\n              <td style="font-size: 12px;">{{receipt.rem}}</td>\n              <td> <button color="clear" ion-button class="dowicon" (click)="showPdf_FL(receipt.rec)"\n                  *ngIf="receipt.rec">\n                  <!-- <img src="assets/imgs/file.png"> -->\n                  <img src="assets/icon/down1.svg">\n                  <!-- <img src="assets/icon/download.png"> -->\n                </button></td>\n            </tr>\n          </table>\n        </div>\n        <div *ngIf="recepietdetail.length == 0" style="text-align: center;padding:10px">\n          No Records Avilable\n        </div>\n      </ion-card-content>\n    </ion-card>\n  </section>\n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\fee-receipt\fee-receipt.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */]])
    ], FeeReceiptPage);
    return FeeReceiptPage;
}());

//# sourceMappingURL=fee-receipt.js.map

/***/ }),

/***/ 969:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FeeReceiptPageModule", function() { return FeeReceiptPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__fee_receipt__ = __webpack_require__(1038);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FeeReceiptPageModule = /** @class */ (function () {
    function FeeReceiptPageModule() {
    }
    FeeReceiptPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__fee_receipt__["a" /* FeeReceiptPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__fee_receipt__["a" /* FeeReceiptPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], FeeReceiptPageModule);
    return FeeReceiptPageModule;
}());

//# sourceMappingURL=fee-receipt.module.js.map

/***/ })

});
//# sourceMappingURL=41.js.map