webpackJsonp([42],{

/***/ 1037:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeeInvoicePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(197);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var FeeInvoicePage = /** @class */ (function () {
    function FeeInvoicePage(navCtrl, navParams, events, service, userData, inAppBrowser) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.inAppBrowser = inAppBrowser;
        this.studentFeeList = {};
        this.studInformation = [];
        this.studentYearValue = [];
        this.studentWardValue = [];
        this.monthInvoice = [];
        this.events.subscribe("FeeInvoicePage", function (data) {
            if (data != null) {
                debugger;
                _this.studentFeeList = data;
                _this.studentFeeList.Swdob = _this.studentFeeList.Swdob.replace("DOB", "");
                _this.getWardDetail();
                _this.getAcadmicYear();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentFeeList = data;
                _this.studentFeeList.Swdob = _this.studentFeeList.Swdob.replace("DOB", "");
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getWardDetail();
                        _this.getAcadmicYear();
                    }
                });
            }
        });
    }
    FeeInvoicePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FeeInvoicePage');
    };
    FeeInvoicePage.prototype.getWardDetail = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_70" /* STUDENT_WARDLIST */],
            this.studentInfo.Uno,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.FullWardListResult == "[]" || data.FullWardListResult == "No data") {
                _this.studentWardValue = [];
            }
            else {
                var studWard = JSON.parse(data.FullWardListResult);
                if (studWard.length > 0) {
                    _this.studentWardValue = studWard;
                    console.log("student Ward Value", _this.studentWardValue);
                }
                else {
                    _this.studentWardValue = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_70" /* STUDENT_WARDLIST */] + " ", error);
        });
    };
    FeeInvoicePage.prototype.getAcadmicYear = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_69" /* STUDENT_STUDYEARLIST */],
            this.studentFeeList.Swsi,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.StudYearListResult == "[]" || data.StudYearListResult == "No data") {
                _this.service.hide();
                _this.studentYearValue = [];
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.StudYearListResult);
                if (obj.length > 0) {
                    _this.studentYearValue = obj;
                    _this.selectoptions = _this.studentYearValue[0];
                    _this.getInvoiceDetails();
                    console.log("student Acadamic Year", _this.studentYearValue);
                }
                else {
                    _this.service.hide();
                    _this.studentYearValue = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_69" /* STUDENT_STUDYEARLIST */] + " ", error);
        });
    };
    FeeInvoicePage.prototype.getInvoiceDetails = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_68" /* STUDENT_STUDINVOICELIST */],
            this.studentFeeList.Swsi,
            this.selectoptions.Aid,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.StudInvMonListResult == "[]" || data.StudInvMonListResult == "No data") {
                _this.studentInvoiceValue = [];
            }
            else {
                var inv_det = JSON.parse(data.StudInvMonListResult);
                if (inv_det.length > 0) {
                    _this.studentInvoiceValue = inv_det;
                    _this.invoiceYear = _this.studentInvoiceValue[0];
                    _this.getFeesValue();
                    console.log("student Invoice Value", _this.studentInvoiceValue);
                }
                else {
                    _this.studentInvoiceValue = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_68" /* STUDENT_STUDINVOICELIST */] + " ", error);
        });
    };
    FeeInvoicePage.prototype.getFeesValue = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_67" /* STUDENT_STUDFEELIST */],
            this.studentFeeList.Swsi,
            this.selectoptions.Aid,
            this.invoiceYear.Cno,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.StudInvFeeListResult == "[]" || data.StudInvFeeListResult == "No data") {
                _this.monthInvoice = [];
            }
            else {
                var monthData = JSON.parse(data.StudInvFeeListResult);
                if (monthData.length > 0) {
                    _this.monthInvoice = monthData;
                    console.log("monthy Value", _this.monthInvoice);
                }
                else {
                    _this.monthInvoice = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_67" /* STUDENT_STUDFEELIST */] + " ", error);
        });
    };
    FeeInvoicePage.prototype.showPdf = function (url) {
        var options = {
            zoom: 'yes',
            location: 'yes'
        };
        if (url == null) {
            this.service.showToast("No Pdf Available");
        }
        else {
            var target = "_system";
            this.inAppBrowser.create(url, target, options);
        }
    };
    FeeInvoicePage.prototype.yearCompare = function (a1, b1) {
        if (a1.Aid === b1.Aid) {
            return true;
        }
        else {
            return false;
        }
    };
    FeeInvoicePage.prototype.invoiceCompare = function (a1, b1) {
        if (a1.Cno === b1.Cno) {
            return true;
        }
        else {
            return false;
        }
    };
    FeeInvoicePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-fee-invoice',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\fee-invoice\fee-invoice.html"*/'\n<ion-header>\n  <commonheader></commonheader>\n</ion-header>   \n\n<ion-content >\n\n  <section style="padding: 5px 13px;">\n    <h3 class="heading">Fee Invoice</h3> \n    <ion-card class="buscard" >    \n      <ion-item style="padding: 5px 10px;">\n        <ion-avatar item-start>\n          <img [src] ="studentFeeList.Swif"> \n        </ion-avatar>\n        <h4 style="font-weight: 600; font-size: 16px;white-space: normal;word-break: break-word;">{{studentFeeList.Swn}}</h4>\n        <p style="font-size: 15px; padding: 4px 0px;"><span>{{studentFeeList.Swcn}}</span> <span style=" padding: 0px 7px;"> |  </span><span>Adm.No - {{studentFeeList.Swan}}</span></p>\n      </ion-item>      \n    </ion-card>\n  </section>  \n\n  <section style="background:#e5e8ed;padding: 5px 13px">\n    <ion-card class="buscard" >          \n      <ion-card-content style="padding: 12px">        \n        <div class="item">  \n          <label class="lightfont">Academic Year</label>          \n          <ion-select style="position: relative" interface="popover" [(ngModel)]="selectoptions"  (ionChange)="getInvoiceDetails()" [compareWith]="yearCompare">\n            <ion-option [value]="year" *ngFor="let year of studentYearValue">{{year.An}}</ion-option>\n          </ion-select>         \n        </div> \n        <div class="item"> \n          <label class="lightfont">Invoice Period</label> \n          <ion-select style="position: relative" interface="popover" [(ngModel)]="invoiceYear" (ionChange)="getFeesValue()" [compareWith]="invoiceCompare">\n            <ion-option [value] = "studInv" *ngFor="let studInv of studentInvoiceValue">{{studInv.Cp}}</ion-option>\n          </ion-select>\n        </div>   \n      </ion-card-content>            \n    </ion-card> \n  </section>\n\n  <section style="background:#f0f1f3;padding: 5px 13px">  \n    <ion-card class="buscard parents" >       \n      <ion-card-content style="padding: 12px">  \n        <div >          \n          <table style="text-align: left;width:100%;">\n            <tr>\n              <th>S#</th>\n              <th>Invoice Type</th>\n              <Th>Period</Th>\n              <th style="width:37px">File</th>\n            </tr>\n            <tr *ngFor="let month of monthInvoice">\n              <td>{{month.Sno}}</td>\n              <td>{{month.It}}</td>\n              <td>{{month.Fd}}</td>\n              <td>\n                <button style="padding:0px" ion-button clear (click)="showPdf(month.Fn)"> <img src="assets/imgs/file.png" style="width:auto"></button>\n              </td>\n            </tr>\n          </table>\n        </div>  \n        <div *ngIf="monthInvoice.length == 0" style="text-align: center;padding:10px">\n          No Records Avilable\n        </div>   \n      </ion-card-content>          \n    </ion-card>    \n  </section> \n\n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer> '/*ion-inline-end:"D:\Mohan\TSUS\src\pages\fee-invoice\fee-invoice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */]])
    ], FeeInvoicePage);
    return FeeInvoicePage;
}());

//# sourceMappingURL=fee-invoice.js.map

/***/ }),

/***/ 968:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FeeInvoicePageModule", function() { return FeeInvoicePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__fee_invoice__ = __webpack_require__(1037);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FeeInvoicePageModule = /** @class */ (function () {
    function FeeInvoicePageModule() {
    }
    FeeInvoicePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__fee_invoice__["a" /* FeeInvoicePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__fee_invoice__["a" /* FeeInvoicePage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], FeeInvoicePageModule);
    return FeeInvoicePageModule;
}());

//# sourceMappingURL=fee-invoice.module.js.map

/***/ })

});
//# sourceMappingURL=42.js.map