webpackJsonp([43],{

/***/ 1036:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeeHeadwisePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var FeeHeadwisePage = /** @class */ (function () {
    function FeeHeadwisePage(navCtrl, navParams, events, service, userData) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.studentledList = {};
        this.feewisestudentLedgerData = [];
        this.totalselectedamt = 0;
        this.totalamount = 0;
        this.feesrows = [];
        this.events.subscribe("FeeHeadwisePage", function (data) {
            if (data != null) {
                _this.studentledList = data;
                _this.studentledList.Swdob = _this.studentledList.Swdob.replace("DOB", "");
                _this.getStudentLedger();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentledList = data;
                _this.studentledList.Swdob = _this.studentledList.Swdob.replace("DOB", "");
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getStudentLedger();
                        _this.getPartPayMessage();
                    }
                });
            }
        });
    }
    FeeHeadwisePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FeeHeadwisePage');
    };
    FeeHeadwisePage.prototype.getPartPayMessage = function () {
        var _this = this;
        debugger;
        this.service.show();
        var url = this.service.getFormattedUrl([__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["S" /* GET_MINPAYABLE_AMOUNT */], this.studentledList.Swsi]);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MinPayableAmountResult == "[]" || data.MinPayableAmountResult == "No data") {
                _this.service.hide();
                _this.partpay = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                _this.partpay = JSON.parse(data.MinPayableAmountResult)[0];
            }
        });
    };
    FeeHeadwisePage.prototype.getStudentLedger = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["O" /* FEEHEADWISE_INVOICE */],
            this.studentledList.Swsi,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobFeeheadwiseinvoicesResult == "[]" || data.MobFeeheadwiseinvoicesResult == "No data") {
                _this.service.hide();
                _this.feewisestudentLedgerData = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var headwiseledger = JSON.parse(data.MobFeeheadwiseinvoicesResult);
                if (headwiseledger != null && headwiseledger.length > 0) {
                    debugger;
                    //headwiseledger= this.groupBy(headwiseledger, 'CYCLEID')
                    _this.feewisestudentLedgerData = headwiseledger;
                    console.log("student Ledger view", _this.feewisestudentLedgerData);
                    _this.calcuateTotalAmountTobePaid(_this.feewisestudentLedgerData);
                    _this.AssignSeqNo();
                }
                else {
                    _this.service.hide();
                    _this.feewisestudentLedgerData = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["H" /* CYCLEWISE_INVOICE */] + " ", error);
        });
    };
    FeeHeadwisePage.prototype.AssignSeqNo = function () {
        var list = this.feewisestudentLedgerData;
        for (var i = 0; i < list.length; i++) {
            list[i].id = i + 1;
            list[i].ischecked = false;
            for (var j = 0; j < list[i].list.length; j++) {
                list[i].list[j].id = j + 1;
                list[i].list[j].ischecked = false;
                list[i].list[j].headamt = list[i].list[j].FeeHeadAmount;
            }
        }
        this.feewisestudentLedgerData = list;
    };
    FeeHeadwisePage.prototype.calcuateTotalAmountTobePaid = function (list) {
        this.totalselectedamt = 0;
        this.totalamount = 0;
        for (var i = 0; i < list.length; i++) {
            for (var j = 0; j < list[i].list.length; j++) {
                if (list[i].list[j].FeeHeadAmount != "")
                    this.totalamount = this.totalamount + parseFloat(list[i].list[j].FeeHeadAmount);
            }
        }
    };
    FeeHeadwisePage.prototype.updateFeeAmount = function (e, fee, f) {
        debugger;
        if (e.value > f.headamt) {
            this.service.showToast("Max Value is " + f.headamt);
            e.value = f.FeeHeadAmount = f.headamt;
            return;
        }
        f.FeeHeadAmount = e.value;
        this.updateObject(fee, f);
    };
    FeeHeadwisePage.prototype.isPreviousUnselected = function (fee, fromchild) {
        var _this = this;
        var i = 0;
        this.feewisestudentLedgerData.map(function (res) {
            if (!res.ischecked && (fee.ischecked || fromchild) && res.id < fee.id && !_this.isallsubitemschecked(res.list)) {
                res.ischecked = false;
                i = 1;
            }
            if (res.ischecked && (!fee.ischecked || fromchild) && res.id > fee.id && _this.isanyonesubitemschecked(res.list)) {
                fee.ischecked = true;
                i = 2;
            }
        });
        return i;
    };
    FeeHeadwisePage.prototype.isallsubitemschecked = function (f) {
        var tmp = true;
        f.map(function (child) {
            if (!child.ischecked) {
                tmp = false;
            }
        });
        return tmp;
    };
    FeeHeadwisePage.prototype.isanyonesubitemschecked = function (f) {
        var tmp = false;
        f.map(function (child) {
            if (child.ischecked) {
                tmp = true;
            }
        });
        return tmp;
    };
    FeeHeadwisePage.prototype.selectAll = function (e, fee) {
        var _this = this;
        debugger;
        if (this.ismanual) {
            this.ismanual = false;
            return;
        }
        var i = this.isPreviousUnselected(fee, false);
        if (i == 1 || i == 2) {
            if (i == 1)
                this.service.showToast('Please pay all the previous Regular invoices before paying this card !');
            else
                this.service.showToast('As next Regular invoice selected, you can not unselect this card');
            e.value = (i == 1 ? false : true);
            return;
        }
        this.totalselectedamt = 0;
        this.feewisestudentLedgerData.map(function (res) {
            if (fee.id == res.id) {
                res.list.map(function (f) {
                    f.ischecked = fee.ischecked;
                    if (f.ischecked)
                        _this.totalselectedamt = _this.totalselectedamt + parseFloat(f.FeeHeadAmount);
                });
            }
            else {
                res.list.map(function (f) {
                    if (f.ischecked)
                        _this.totalselectedamt = _this.totalselectedamt + parseFloat(f.FeeHeadAmount);
                });
            }
        });
    };
    FeeHeadwisePage.prototype.updateObject = function (row, chrow) {
        var list = this.feewisestudentLedgerData;
        this.totalselectedamt = 0;
        for (var i = 0; i < list.length; i++) {
            if (list[i].id == row.id) {
                for (var j = 0; j < list[i].list.length; j++) {
                    if (list[i].list[j].id == chrow.id) {
                        list[i].list[j].FeeHeadAmount = chrow.FeeHeadAmount;
                    }
                }
            }
            for (var j = 0; j < list[i].list.length; j++) {
                if (list[i].list[j].ischecked && list[i].list[j].FeeHeadAmount != "")
                    this.totalselectedamt = this.totalselectedamt + parseFloat(list[i].list[j].FeeHeadAmount);
            }
        }
        this.feewisestudentLedgerData = list;
    };
    FeeHeadwisePage.prototype.SetCheckedObject = function (row, chrow, checked) {
        var list = this.feewisestudentLedgerData;
        for (var i = 0; i < list.length; i++) {
            if (list[i].id == row.id) {
                for (var j = 0; j < list[i].list.length; j++) {
                    if (list[i].list[j].id == chrow.id) {
                        list[i].list[j].ischecked = checked;
                    }
                }
            }
        }
        this.feewisestudentLedgerData = list;
    };
    FeeHeadwisePage.prototype.addValue = function (e, fee, row) {
        debugger;
        var i = this.isPreviousUnselected(fee, true);
        if (i == 1 || i == 2) {
            if (i == 1)
                this.service.showToast('Please pay all the previous Regular invoices before paying this card !');
            else
                this.service.showToast('As next Regular invoice selected, you can not unselect this card');
            fee.ischecked = false;
            e.value = (i == 1 ? false : true);
            return;
        }
        if (e.checked) {
            this.SetCheckedObject(fee, row, true);
            //this.feesrows.push(row);
        }
        else {
            this.SetCheckedObject(fee, row, false);
        }
        this.updateObject(fee, row);
        if (row.ischecked && !fee.ischecked) {
            fee.ischecked = true;
            this.ismanual = true;
        }
    };
    FeeHeadwisePage.prototype.gotostudentfeespay = function () {
        if (this.partpay.minpayamount > this.totalselectedamt) {
            this.service.showToast("Minimum Payable Amount is " + this.partpay.minpayamount);
            return;
        }
        this.getselectedfeerows();
        this.navCtrl.push('StudentfeespayPage', {
            queryParams: {
                amounttopay: this.totalselectedamt,
                feesrows: this.feesrows,
                isheadwise: true
            }
        });
    };
    FeeHeadwisePage.prototype.getselectedfeerows = function () {
        var _this = this;
        this.feewisestudentLedgerData.map(function (res) {
            res.list.map(function (f) {
                if (f.ischecked)
                    _this.feesrows.push(f);
            });
        });
    };
    FeeHeadwisePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-fee-headwise',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\fee-headwise\fee-headwise.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header>\n<ion-content>\n  <div style="padding: 5px 13px;background: #f1f2f4">\n    <h3 class="heading">Student Ledger - Partial Payment</h3>\n    <ion-card class="buscard">     \n      <ion-item style="padding: 5px 10px;" >\n          <ion-avatar item-start>\n            <img [src]="studentledList.Swif">\n          </ion-avatar>\n        <h4 style="font-weight: 600; font-size: 16px;white-space: normal;word-break: break-word;">{{studentledList.Swn}}</h4>\n        <p style="font-size: 15px; padding: 4px 0px;"><span>{{studentledList.Swcn}}</span> <span style=" padding: 0px 7px;"> |  </span>Adm.No - {{studentledList.Swan}}<span></span></p>\n      </ion-item>      \n    </ion-card>\n  </div>   \n  <!-- SECOND PAGE -->\n  <div >\n    <div style="padding: 0px 15px">\n      <div class="note" *ngIf="partpay != null">\n        <span>{{partpay.paytext}}</span>\n      </div>\n      <!-- <div style="text-align: right;padding-top: 17px;">\n        <ion-checkbox style="vertical-align: top;" ></ion-checkbox> \n        <span class="lightfont"> Select all </span> \n      </div> -->\n      <ion-card *ngFor="let fee of feewisestudentLedgerData; let i=index" class="buscard parents" >   \n        <ion-card-content style="padding: 12px">       \n          <div>     \n            <table style="text-align: left;width:100%;" class="noborder">\n              <tr>          \n                <td colspan="2" style="padding: 5px 0px 5px 5px;\n                border-bottom: 1px solid #f3ecec;\n                border-radius: 5px;"><b><span [innerHTML]="fee.cycle"></span>&nbsp;-&nbsp;{{fee.invtype}}</b></td> \n                <td style="text-align: right;">\n                <ion-checkbox (ionChange)="selectAll($event, fee)" [(ngModel)]="fee.ischecked" style="vertical-align: top;">\n                  </ion-checkbox>\n                </td>                          \n                </tr>\n              <tr *ngIf="fee.duedate != null && fee.duedate != \'\'">               \n                <td style="color:red">Due&nbsp;Date</td>\n                <td style="color:red" colspan="2">{{fee.duedate}}</td>                 \n              </tr> \n              <tr>\n                <td colspan="3">\n                  <table *ngFor="let f of fee.list; let i=index" style="text-align: left;width:100%;" class="noborder">                   \n                    <tr>\n                      <td width="50%">{{f.GroupName}}</td>                      \n                      <td width="30%"><ion-input class="ioninput" [disabled]="partpay != null && partpay.payedit != \'Y\'" type="number" (ionChange)="updateFeeAmount($event, fee, f)"  [(ngModel)]="f.FeeHeadAmount"></ion-input></td>    \n                        <td width="20%" style="text-align: right;"><ion-checkbox (ionChange)="addValue($event, fee, f)" [(ngModel)]="f.ischecked"></ion-checkbox></td>\n                      </tr>\n                  </table>\n                </td>\n              </tr>\n            </table>\n          </div>     \n        </ion-card-content>         \n      </ion-card>\n    </div>  \n    <div style="padding:0px 15px"> \n      <table class="noborder">\n        <tr>\n          <td>Total to be paid</td>\n          <td class="text-right">\n            {{totalamount}}\n          </td>\n        </tr>\n        <tr>\n          <td>Total Payment Selected</td>\n          <td class="text-right">\n              {{totalselectedamt}}\n          </td>\n        </tr>\n        <Tr>\n          <Td colspan="2" class="text-right">\n            <button  class="blubtn" [disabled]="totalselectedamt==0" ion-button type="submit" (click)="gotostudentfeespay()">Make online Payment</button>\n          </Td>\n        </Tr>\n      </table>\n      </div>\n    </div>\n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\fee-headwise\fee-headwise.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */]])
    ], FeeHeadwisePage);
    return FeeHeadwisePage;
}());

//# sourceMappingURL=fee-headwise.js.map

/***/ }),

/***/ 967:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FeeHeadwisePageModule", function() { return FeeHeadwisePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__fee_headwise__ = __webpack_require__(1036);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FeeHeadwisePageModule = /** @class */ (function () {
    function FeeHeadwisePageModule() {
    }
    FeeHeadwisePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__fee_headwise__["a" /* FeeHeadwisePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__fee_headwise__["a" /* FeeHeadwisePage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], FeeHeadwisePageModule);
    return FeeHeadwisePageModule;
}());

//# sourceMappingURL=fee-headwise.module.js.map

/***/ })

});
//# sourceMappingURL=43.js.map