webpackJsonp([47],{

/***/ 1032:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContactTeacherPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ContactTeacherPage = /** @class */ (function () {
    function ContactTeacherPage(navCtrl, navParams, modal, events, service, userData, storage, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modal = modal;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.zone = zone;
        this.studentConList = {};
        this.contactTeachList = [];
        this.events.subscribe("ContactTeacherPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentConList = data;
                _this.getAlertMonthList();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentConList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.storage.get("contactNotify").then(function (notifyData) {
                            if (notifyData == null) {
                            }
                            else {
                                _this.resourceid = notifyData.message.Refid;
                                _this.storage.remove("contactNotify");
                            }
                            _this.getAlertMonthList();
                        });
                    }
                });
            }
        });
    }
    ContactTeacherPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ContactTeacherPage');
    };
    ContactTeacherPage.prototype.openmodal = function (data) {
        debugger;
        this.navCtrl.setRoot('ContactMessagePage', data);
    };
    ContactTeacherPage.prototype.getAlertMonthList = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["F" /* CON_TEACHLIST */],
            this.studentConList.Swsi,
            this.studentInfo.Gid
        ];
        // this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetConTeachlistResult == "[]" || data.GetConTeachlistResult == "No data") {
                // this.service.hide();
                _this.service.showToast("No Data Available");
            }
            else {
                // this.service.hide();
                var contactTeach = JSON.parse(data.GetConTeachlistResult);
                if (contactTeach.length > 0) {
                    _this.contactTeachList = contactTeach;
                    _this.selectTeacher = _this.contactTeachList[0];
                    _this.contactTeachList.map(function (res) {
                        if (res.StId == _this.resourceid) {
                            _this.navCtrl.setRoot('ContactMessagePage', res);
                        }
                    });
                    console.log("Contact List", _this.contactTeachList);
                }
                else {
                    _this.contactTeachList = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["F" /* CON_TEACHLIST */] + " ", error);
        });
    };
    ContactTeacherPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-contact-teacher',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\contact-teacher\contact-teacher.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header> \n\n<ion-content > \n  <section style="padding: 15px;padding-bottom: 0px;">\n    <h3 class="headinglist"> \n    Contacts\n    </h3>  \n    <ion-card class="circard" [hidden]="contactTeachList.length == 0">       \n      <ion-list>\n        <button ion-item (click)="openmodal(contact)" *ngFor="let contact of contactTeachList">\n          <!-- <ion-avatar item-start></ion-avatar>\n             <img src="https://usercontent2.hubstatic.com/381359_177.jpg"> \n          </ion-avatar>  -->\n          <h2> {{contact.Stn}}</h2> \n          <h3>{{contact.Sn}}</h3>\n          <ion-icon name="send" item-end></ion-icon>\n        </button>\n      </ion-list>        \n    </ion-card>\n  </section>  \n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer> '/*ion-inline-end:"D:\Mohan\TSUS\src\pages\contact-teacher\contact-teacher.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], ContactTeacherPage);
    return ContactTeacherPage;
}());

//# sourceMappingURL=contact-teacher.js.map

/***/ }),

/***/ 963:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContactTeacherPageModule", function() { return ContactTeacherPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__contact_teacher__ = __webpack_require__(1032);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ContactTeacherPageModule = /** @class */ (function () {
    function ContactTeacherPageModule() {
    }
    ContactTeacherPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__contact_teacher__["a" /* ContactTeacherPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__contact_teacher__["a" /* ContactTeacherPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], ContactTeacherPageModule);
    return ContactTeacherPageModule;
}());

//# sourceMappingURL=contact-teacher.module.js.map

/***/ })

});
//# sourceMappingURL=47.js.map