webpackJsonp([48],{

/***/ 1031:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContactMessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ContactMessagePage = /** @class */ (function () {
    function ContactMessagePage(navCtrl, navParams, view, events, service, userData) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.view = view;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.list = {};
        this.studentConList = {};
        this.contactTeachDetail = [];
        this.conteachlist = [];
        debugger;
        this.list = navParams.data;
        this.events.subscribe("ContactMessagePage", function (data) {
            if (data != null) {
                debugger;
                _this.studentConList = data;
                _this.showContactTeacher();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentConList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.showContactTeacher();
                    }
                });
            }
        });
    }
    ContactMessagePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ContactMessagePage');
    };
    ContactMessagePage.prototype.closemodal = function () {
        this.navCtrl.setRoot("ContactTeacherPage");
    };
    ContactMessagePage.prototype.showContactTeacher = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["E" /* CON_TEACHDET */],
            this.studentConList.Swsi,
            this.list.StId,
            this.list.Subid,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetConTeachDetResult == "[]" || data.GetConTeachDetResult == "No data") {
                _this.service.hide();
                _this.contactTeachDetail = [];
            }
            else {
                _this.service.hide();
                var conTeachDet = JSON.parse(data.GetConTeachDetResult);
                if (conTeachDet.length > 0) {
                    _this.contactTeachDetail = conTeachDet;
                    console.log("Contact Details", _this.contactTeachDetail);
                }
                else {
                    _this.service.hide();
                    _this.contactTeachDetail = [];
                }
            }
            _this.messagelist();
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["E" /* CON_TEACHDET */] + " ", error);
        });
    };
    ContactMessagePage.prototype.SaveMessage = function () {
        var _this = this;
        this.service.show();
        var postdata = {};
        var userdet = {
            "StudentId": parseInt(this.studentConList.Swsi),
            "PMessage": this.messageInfo,
            "Staffid": parseInt(this.list.StId),
            "Subjectid": parseInt(this.list.Subid)
        };
        postdata["Sinfo"] = userdet;
        var params = JSON.stringify(postdata);
        var method = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_78" /* TEACH_POST */];
        if (this.messageInfo != undefined && this.messageInfo != "") {
            this.service.postMethod(method, params).subscribe(function (res) {
                _this.service.hide();
                _this.ConTeachPost = res.MobConTeachPostSaveResult.split('-');
                if (_this.ConTeachPost[0] == 1) {
                    _this.service.showToast(_this.ConTeachPost[1]);
                    _this.messagelist();
                }
                else {
                    _this.service.hide();
                    _this.service.showToast(_this.ConTeachPost[1]);
                    _this.messagelist();
                }
            }, function (error) {
                console.log(error);
                _this.service.hide();
            });
        }
        else {
            this.service.hide();
            this.service.showToast("Enter Valid Message");
        }
    };
    ContactMessagePage.prototype.messagelist = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["D" /* CONTEACH_LIST */],
            this.studentConList.Swsi,
            this.list.StId,
            this.list.Subid,
            "I",
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetConTeachDListResult == "[]" || data.GetConTeachDListResult == "No data") {
                _this.conteachlist = [];
            }
            else {
                var obj = JSON.parse(data.GetConTeachDListResult);
                if (obj.length > 0) {
                    _this.conteachlist = obj;
                    console.log("Contact Post message", _this.conteachlist);
                }
                else {
                    _this.conteachlist = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["D" /* CONTEACH_LIST */] + " ", error);
        });
    };
    ContactMessagePage.prototype.messagelist1 = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["D" /* CONTEACH_LIST */],
            this.studentConList.Swsi,
            this.list.StId,
            this.list.Subid,
            "M",
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetConTeachDListResult == "[]" || data.GetConTeachDListResult == "No data") {
                _this.conteachlist = [];
            }
            else {
                var obj = JSON.parse(data.GetConTeachDListResult);
                if (obj.length > 0) {
                    _this.conteachlist = obj;
                    console.log("Contact Post message", _this.conteachlist);
                }
                else {
                    _this.conteachlist = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["D" /* CONTEACH_LIST */] + " ", error);
        });
    };
    ContactMessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-contact-message',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\contact-message\contact-message.html"*/'<ion-header>\n  <ion-navbar>\n   <ion-title>\n	   <p style="font-size: 17px;text-align: center;">Contact Teacher\n		   <span style="float:right;font-size: x-large;">\n				<ion-icon name="close" item-end  (click)="closemodal()"></ion-icon>\n			</span>\n	   </p>\n	</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n\n	<div *ngFor="let detail of contactTeachDetail">\n		<ion-list no-lines style="z-index: 9999999999999;position: relative;">\n			<ion-item class="item-header">\n				<ion-avatar item-start> \n				  <img [src]=\'detail.SP\'> \n				</ion-avatar> \n				<h2 style="font-weight: 500;white-space: normal;word-break: break-word;font-size: 15px;">{{detail.Stn}}</h2>\n				<h3 style="font-size: 14px;color: #9e9e9e;white-space: normal;word-break: break-word;">{{detail.Sbn}} <br> {{detail.EId}}</h3>         \n			</ion-item> \n	  </ion-list>\n	</div>\n\n	<div style="margin-top: 120px;padding: 0px 15px 0px 15px;">\n		<ion-list no-lines *ngFor="let detail of contactTeachDetail">\n		  <h3 style="font-size: 15px; margin: 10px 0px;">Message</h3>\n		  <ion-textarea rows="5" [(ngModel)]="messageInfo" style="border: 1px solid #cdcdcd;border-radius: 3px;">\n		  </ion-textarea>\n		</ion-list>\n		<div class="text-center" style="display:flex;margin: 10px 0px 0px 0px;">     \n		  <button  (click)="closemodal()" class="blubtn cancelbtn"  clear  ion-button >Cancel</button>  \n		  <button (click)="SaveMessage()"  block class="blubtn orangebtn" ion-button >Submit</button>    \n		</div>\n		<p  style="color:#1667bd;font-size: 15px;font-weight: 500;float:right" [hidden]= "conteachlist.length == 0" (click)="messagelist1()"><u>Show More</u></p>\n	</div>\n	\n	<div style="padding:0px 10px 10px 10px">\n	<div *ngFor = "let list of conteachlist" class="blockdiv" >\n		<div style="padding-bottom: 5px;margin-bottom: 10px;border-radius: 5px;"[ngStyle]="{\'background-color\': list.PC}" class="mess" [ngClass]="{\'mymsg\':list.PT==\'Me:\',\'yourmsg\':list.PT==\'Teacher:\'}">\n			<p style="font-weight: 500;padding-left:10px">\n				{{list.PT}}\n				<span style="font-weight: 500;padding-left:10px">\n					{{list.PM}}\n				</span>\n			</p>\n			<span style="margin-left:11px;padding:5px;float:right">{{list.PD}}</span>\n		</div>\n	</div>\n	</div>	\n	\n \n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\contact-message\contact-message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */]])
    ], ContactMessagePage);
    return ContactMessagePage;
}());

//# sourceMappingURL=contact-message.js.map

/***/ }),

/***/ 962:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContactMessagePageModule", function() { return ContactMessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__contact_message__ = __webpack_require__(1031);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ContactMessagePageModule = /** @class */ (function () {
    function ContactMessagePageModule() {
    }
    ContactMessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__contact_message__["a" /* ContactMessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__contact_message__["a" /* ContactMessagePage */]),
            ],
        })
    ], ContactMessagePageModule);
    return ContactMessagePageModule;
}());

//# sourceMappingURL=contact-message.module.js.map

/***/ })

});
//# sourceMappingURL=48.js.map