webpackJsonp([54],{

/***/ 1024:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CalendarPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CalendarPage = /** @class */ (function () {
    function CalendarPage(navCtrl, navParams, service, userData, events, zone, renderer, element) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.userData = userData;
        this.events = events;
        this.zone = zone;
        this.renderer = renderer;
        this.element = element;
        this.studentList = {};
        this.calenderList = [];
        this.showMonth = true;
        this.showWeek = false;
        this.showYear = false;
        this.allYearsData = new Array();
        this.startingDayOfWeek = 0;
        this.changeMode = 'Month';
        this.dayCount = 0;
        this.service.loadingflag = 0;
        this.events.subscribe("CalendarPage", function (data) {
            if (data != null) {
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (logdata) {
                    if (logdata != null) {
                        debugger;
                        _this.zone.run(function () {
                            _this.studentInfo = logdata;
                            _this.date = new Date();
                            _this.monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
                            _this.getCalenderView();
                            _this.getAllYears();
                        });
                    }
                });
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.zone.run(function () {
                            _this.studentInfo = data;
                            _this.date = new Date();
                            _this.monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
                            _this.getCalenderView();
                            _this.getAllYears();
                        });
                    }
                });
            }
        });
    }
    CalendarPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CalendarPage');
    };
    CalendarPage.prototype.ionViewWillUnload = function () {
        this.events.unsubscribe("CalendarPage");
    };
    CalendarPage.prototype.getCalenderView = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["i" /* CAL_LIST */],
            this.studentList.Swsid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.Cal_MobCalyeardetResult == "[]" || data.Cal_MobCalyeardetResult == "No data") {
                _this.service.hide();
                _this.eventList = [];
                _this.onChangeMode('Month');
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var calList_1 = JSON.parse(data.Cal_MobCalyeardetResult);
                if (calList_1.length > 0) {
                    _this.zone.run(function () {
                        _this.eventList = calList_1;
                        _this.onChangeMode('Month');
                        console.log("Calender View", _this.eventList);
                    });
                }
                else {
                    _this.service.hide();
                    _this.eventList = [];
                    _this.onChangeMode('Month');
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["i" /* CAL_LIST */] + " ", error);
        });
    };
    CalendarPage.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.things.changes.subscribe(function (t) {
            _this.someRenderElement();
        });
    };
    CalendarPage.prototype.today = function () {
        this.date = new Date();
        if (this.changeMode == 'Month') {
            this.getDaysOfMonth();
            var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
            if (element != undefined) {
                this.renderer.removeClass(element, 'setDateBack');
            }
            this.currentDate = this.date.getDate();
        }
        else if (this.changeMode == 'Week') {
            this.getWeekOfMonth();
            var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
            if (element != undefined) {
                this.renderer.removeClass(element, 'setDateBack');
            }
            this.currentDate = this.date.getDate();
            this.dayCount = 0;
        }
        else if (this.changeMode == 'Day') {
            this.getDateOfMonth();
            var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
            if (element != undefined) {
                this.renderer.removeClass(element, 'setDateBack');
            }
            this.currentDate = this.date.getDate();
        }
    };
    CalendarPage.prototype.onChangeMode = function (status) {
        if (status == 'Month') {
            this.changeMode = 'Month';
            this.getDaysOfMonth();
        }
        else if (status == 'Week') {
            this.changeMode = 'Week';
            this.getWeekOfMonth();
        }
        else if (status == 'Day') {
            this.changeMode = 'Day';
            this.getDateOfMonth();
        }
        else {
        }
    };
    CalendarPage.prototype.getDaysOfMonth = function () {
        debugger;
        this.showMonth = true;
        this.showWeek = false;
        this.isSelected = false;
        this.daysInThisMonth = new Array();
        this.daysInLastMonth = new Array();
        this.daysInNextMonth = new Array();
        this.currentMonth = this.monthNames[this.date.getMonth()];
        this.currentYear = this.date.getFullYear();
        if (this.date.getMonth() === new Date().getMonth()) {
            this.currentDate = new Date().getDate();
        }
        else {
            this.currentDate = 999;
        }
        var firstDayThisMonth = new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
        var prevNumOfDays = new Date(this.date.getFullYear(), this.date.getMonth(), 0).getDate();
        for (var i = prevNumOfDays - (firstDayThisMonth - 1); i <= prevNumOfDays; i++) {
            this.daysInLastMonth.push(i);
        }
        var thisNumOfDays = new Date(this.date.getFullYear(), this.date.getMonth() + 1, 0).getDate();
        for (var i = 0; i < thisNumOfDays; i++) {
            var obj = {
                day: i + 1,
                datetime: new Date(this.date.getFullYear(), this.date.getMonth(), 1 + i)
            };
            this.daysInThisMonth.push(obj);
        }
        var lastDayThisMonth = new Date(this.date.getFullYear(), this.date.getMonth() + 1, 0).getDay();
        var nextNumOfDays = new Date(this.date.getFullYear(), this.date.getMonth() + 2, 0).getDate();
        for (var i = 0; i < (6 - lastDayThisMonth); i++) {
            this.daysInNextMonth.push(i + 1);
        }
        var totalDays = this.daysInLastMonth.length + this.daysInThisMonth.length + this.daysInNextMonth.length;
        if (totalDays < 36) {
            for (var i = (7 - lastDayThisMonth); i < ((7 - lastDayThisMonth) + 7); i++) {
                this.daysInNextMonth.push(i);
            }
        }
    };
    CalendarPage.prototype.someRenderElement = function () {
        var _this = this;
        if (this.changeMode == 'Month') {
            // let firstDay= new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
            // const element = this.element.nativeElement.getElementsByClassName('col')[this.currentDate + firstDay + 9];
            // if(element != undefined)
            // {
            //   this.renderer.addClass(element,'setDateBack');
            // }
        }
        else if (this.changeMode == 'Week') {
            var firstDay = new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
            var currentDates_1 = new Date();
            if (this.date.getMonth() == currentDates_1.getMonth()) {
                this.daysInThisWeek.forEach(function (element) {
                    if (element.day == currentDates_1.getDate()) {
                        var element_1 = _this.element.nativeElement.getElementsByClassName('col')[_this.getIndex + 10];
                        if (element_1 != undefined) {
                            _this.renderer.addClass(element_1, 'setDateBack');
                        }
                    }
                });
            }
        }
        else if (this.changeMode == 'Day') {
            var firstDay = new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
            var element = this.element.nativeElement.getElementsByClassName('col')[this.currentDate + firstDay + 9];
            if (element != undefined) {
                this.renderer.addClass(element, 'setDateBack');
            }
        }
    };
    CalendarPage.prototype.goToLastMonth = function () {
        this.isSelected = false;
        this.date = new Date(this.date.getFullYear(), this.date.getMonth(), 0);
        this.getDaysOfMonth();
    };
    CalendarPage.prototype.goToNextMonth = function () {
        this.isSelected = false;
        this.date = new Date(this.date.getFullYear(), this.date.getMonth() + 2, 0);
        this.getDaysOfMonth();
    };
    CalendarPage.prototype.getDateArray = function (start, end) {
        var arr = new Array();
        var dt = new Date(start);
        while (dt < end) {
            arr.push(new Date(dt));
            dt.setDate(dt.getDate() + 1);
        }
        return arr;
    };
    CalendarPage.prototype.checkEvent = function (day) {
        var hasEvent = false;
        if (day.toString().length == 1) {
            day = "0" + day;
        }
        var selDate = day + " " + this.monthNames[this.date.getMonth()] + " " + this.date.getFullYear();
        this.eventList.map(function (event, idx) {
            if ((event.ed == selDate)) {
                hasEvent = true;
            }
        });
        return hasEvent;
    };
    CalendarPage.prototype.selectDate = function (day, index) {
        var _this = this;
        if (this.changeMode == 'Month') {
            var firstDay = new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
            var element = this.element.nativeElement.getElementsByClassName('setDateBack');
            if (element != undefined) {
                if (element.length > 0) {
                    for (var i = 0; i < element.length; i++) {
                        this.renderer.removeClass(element[i], 'setDateBack');
                    }
                }
            }
            var element2 = this.element.nativeElement.getElementsByClassName('calendar-date')[0].getElementsByClassName('col')[index + firstDay];
            this.renderer.addClass(element2, 'setDateBack');
        }
        else if (this.changeMode == 'Week') {
            if (this.dayCount == 0) {
                this.getIndex = index;
                this.dayCount++;
            }
            this.currentDateView = day.datetime.getDate();
            var firstDay = new Date(this.date.getFullYear(), this.date.getMonth(), 1).getDay();
            var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
            if (element != undefined) {
                this.renderer.removeClass(element, 'setDateBack');
            }
            var currentDates_2 = new Date();
            var setcurrentDate = new Date(day.datetime);
            if (currentDates_2.toDateString() == setcurrentDate.toDateString()) {
                var element2 = this.element.nativeElement.getElementsByClassName('col')[this.getIndex + 10];
                this.renderer.removeClass(element2, 'setCurrentDate');
            }
            else if (currentDates_2.toDateString() != setcurrentDate.toDateString()) {
                if (this.date.getMonth() == currentDates_2.getMonth()) {
                    this.daysInThisWeek.forEach(function (element) {
                        if (element.day == currentDates_2.getDate()) {
                            var element2 = _this.element.nativeElement.getElementsByClassName('col')[_this.getIndex + 9];
                            _this.renderer.addClass(element2, 'setCurrentDate');
                        }
                    });
                }
            }
            var element1 = this.element.nativeElement.getElementsByClassName('col')[index + 10];
            this.renderer.addClass(element1, 'setDateBack');
        }
        else if (this.changeMode == 'Day') {
        }
        this.isSelected = false;
        if (day.toString().length == 1) {
            day = "0" + day;
        }
        var selDate = day + " " + this.monthNames[this.date.getMonth()] + " " + this.date.getFullYear();
        this.eventList.map(function (event, idx) {
            if ((event.ed == selDate)) {
                _this.isSelected = true;
                _this.eventData = event.en;
            }
        });
        setTimeout(function () {
            if (_this.content.scrollToBottom) {
                _this.content.scrollToBottom();
            }
        }, 200);
    };
    CalendarPage.prototype.getWeekOfMonth = function () {
        this.daysInThisWeek = new Array();
        this.showMonth = false;
        this.showWeek = true;
        this.daysInThisWeek = new Array();
        var currentMonth = this.date.getMonth();
        var currentYear = this.date.getFullYear();
        var currentDate = this.date.getDate();
        var currentDay = this.date.getDay();
        this.currentMonth = this.monthNames[this.date.getMonth()];
        this.currentYear = this.date.getFullYear();
        this.currentDate = new Date().getDate();
        this.getIndex = currentDay;
        var difference = currentDay - this.startingDayOfWeek;
        if (difference < 0) {
            difference += 7;
        }
        var firstDayOfWeek = new Date(currentYear, currentMonth, currentDate - difference);
        this.currentDateView = firstDayOfWeek.getDate();
        var endDayOfWeek = new Date(currentYear, currentMonth, currentDate - difference + 7);
        var dates = new Array(7);
        var current = new Date(firstDayOfWeek.getTime());
        var i = 0;
        current.setHours(12);
        while (i < 7) {
            var obj = {
                day: new Date(current.getTime()).getDate(),
                datetime: new Date(current.getTime())
            };
            this.daysInThisWeek.push(obj);
            dates[i++] = new Date(current.getTime());
            current.setDate(current.getDate() + 1);
        }
    };
    CalendarPage.prototype.goToLastWeek = function () {
        var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
        if (element != undefined) {
            this.renderer.removeClass(element, 'setDateBack');
        }
        this.daysInThisWeek = new Array();
        this.currentMonth = this.monthNames[this.date.getMonth()];
        this.currentYear = this.date.getFullYear();
        this.currentDate = this.date.getDate();
        this.date = new Date(this.date.setDate(this.date.getDate() + (-7 - this.date.getDay())));
        var dates = new Array(7), current = new Date(this.date.getTime()), i = 0;
        this.currentDateView = current.getDate();
        current.setHours(12);
        while (i < 7) {
            var obj = {
                day: new Date(current.getTime()).getDate(),
                datetime: new Date(current.getTime())
            };
            this.daysInThisWeek.push(obj);
            dates[i++] = new Date(current.getTime());
            current.setDate(current.getDate() + 1);
        }
    };
    CalendarPage.prototype.goToNextWeek = function () {
        var element = this.element.nativeElement.getElementsByClassName('setDateBack')[0];
        if (element != undefined) {
            this.renderer.removeClass(element, 'setDateBack');
        }
        this.daysInThisWeek = new Array();
        this.currentMonth = this.monthNames[this.date.getMonth()];
        this.currentYear = this.date.getFullYear();
        this.currentDate = this.date.getDate();
        this.date = new Date(this.date.setDate(this.date.getDate() + (7 - this.date.getDay())));
        var dates = new Array(7), current = new Date(this.date.getTime()), i = 0;
        this.currentDateView = current.getDate();
        current.setHours(12);
        while (i < 7) {
            var obj = {
                day: new Date(current.getTime()).getDate(),
                datetime: new Date(current.getTime())
            };
            this.daysInThisWeek.push(obj);
            dates[i++] = new Date(current.getTime());
            current.setDate(current.getDate() + 1);
        }
    };
    CalendarPage.prototype.getDateOfMonth = function () {
    };
    CalendarPage.prototype.getAllYears = function () {
        var setValue = 2002;
        var lastYear = new Date().getFullYear();
        for (var i = setValue; i <= lastYear; i++) {
            var obj = {
                year: i
            };
            this.allYearsData.push(obj);
        }
    };
    CalendarPage.prototype.selectYear = function (year, index) {
        this.showYear = false;
        this.isSelected = false;
        if (this.changeMode == 'Month') {
            this.showMonth = true;
            this.showWeek = false;
            this.date.setFullYear(year);
            this.getDaysOfMonth();
        }
        else if (this.changeMode == 'Week') {
            this.showMonth = false;
            this.showWeek = true;
            this.date.setFullYear(year);
            this.getWeekOfMonth();
        }
        else if (this.changeMode == 'Day') {
            this.showMonth = false;
            this.showWeek = false;
            this.date.setFullYear(year);
            this.getDateOfMonth();
        }
        else {
        }
    };
    CalendarPage.prototype.goToYear = function () {
        this.showYear = true;
        this.showMonth = false;
        this.showWeek = false;
        this.isSelected = false;
    };
    CalendarPage.prototype.nextAllYear = function () {
        this.isSelected = false;
        var currentLastYear = this.allYearsData[this.allYearsData.length - 1].year;
        this.allYearsData = new Array();
        for (var i = currentLastYear; i < currentLastYear + 16; i++) {
            var obj = {
                year: i
            };
            this.allYearsData.push(obj);
        }
    };
    CalendarPage.prototype.previousAllYear = function () {
        this.isSelected = false;
        var currentFirstYear = this.allYearsData[0].year;
        this.allYearsData = new Array();
        for (var i = currentFirstYear - 16; i < currentFirstYear; i++) {
            var obj = {
                year: i
            };
            this.allYearsData.push(obj);
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* Content */])
    ], CalendarPage.prototype, "content", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_11" /* ViewChildren */])('allTheseThings'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["V" /* QueryList */])
    ], CalendarPage.prototype, "things", void 0);
    CalendarPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-calendar',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\calendar\calendar.html"*/'<ion-header>\n  <commonheader></commonheader> \n</ion-header>\n\n<ion-content>\n  <section style="padding: 10px 15px 5px;">\n    <h3 class="heading">Calender</h3>\n  </section>\n  <div style="padding: 15px;">\n    <ion-card class="buscard" style="margin-bottom:0px;    margin: 0px;\n    width: 100%;\n    margin-top: 10px;" >\n      <!-- <ion-calendar #calendar [events]="events.ed" ></ion-calendar> -->\n      <div class="calendar-header" *ngIf="eventList">\n        <ion-row *ngIf="showMonth" class="calendar-month">\n          <ion-col col-2 (click)="goToLastMonth()"><ion-icon name="ios-arrow-back"></ion-icon></ion-col>\n          <ion-col col-8 (click)="goToYear()">{{currentMonth}} {{currentYear}}</ion-col>\n          <ion-col col-2 (click)="goToNextMonth()"><ion-icon name="ios-arrow-forward"></ion-icon></ion-col>\n        </ion-row>\n        <ion-row *ngIf="showWeek" class="calendar-month">\n            <ion-col col-2 (click)="goToLastWeek()"><ion-icon name="ios-arrow-back"></ion-icon></ion-col>\n            <ion-col col-8 (click)="goToYear()">{{currentDateView}} {{currentMonth}} {{currentYear}}</ion-col>\n            <ion-col col-2 (click)="goToNextWeek()"><ion-icon name="ios-arrow-forward"></ion-icon></ion-col>\n          </ion-row>\n            <ion-row *ngIf="showYear" class="calendar-month">\n            <ion-col col-2 (click)="previousAllYear()"><ion-icon name="ios-arrow-back"></ion-icon></ion-col>\n            <ion-col col-8 (click)="goToYear()">{{currentYear}}</ion-col>\n            <ion-col col-2 (click)="nextAllYear()"><ion-icon name="ios-arrow-forward"></ion-icon></ion-col>\n        </ion-row>\n      </div>\n      <div class="calendar-body" *ngIf="eventList">\n        <ion-grid>\n          <ion-row  *ngIf="showMonth || showWeek" class="calendar-weekday">\n            <ion-col class="header_month">S</ion-col>\n            <ion-col class="header_month">M</ion-col>\n            <ion-col class="header_month">T</ion-col>\n            <ion-col class="header_month">W</ion-col>\n            <ion-col class="header_month">T</ion-col>\n            <ion-col class="header_month">F</ion-col>\n            <ion-col class="header_month">S</ion-col>\n          </ion-row>\n    \n          <ion-row *ngIf="showMonth" class="calendar-date">\n            <ion-col col-1 *ngFor="let lastDay of daysInLastMonth" class="last-month" (click)="goToLastMonth()">{{lastDay}}</ion-col>\n            <ion-col col-1 #allTheseThings *ngFor="let day of daysInThisMonth;let i = index" (click)="selectDate(day.day,i)">\n              <div  class="selectCol">\n              <span class="currentDate" *ngIf="currentDate === day.day; else otherDate"><span>{{day.day}}</span>\n                <br>\n                <div class="setCurrentDate" *ngIf="currentDate === day.day"></div>\n              </span>\n              <ng-template #otherDate class="otherDate">\n                <span> {{day.day}}</span> \n                <div class="event-bullet" *ngIf="checkEvent(day.day)"></div>\n              </ng-template>\n            </div>\n            </ion-col>\n            <ion-col col-1 *ngFor="let nextDay of daysInNextMonth" class="next-month" (click)="goToNextMonth()">{{nextDay}}</ion-col>\n          </ion-row>\n    \n          <ion-row  *ngIf="showWeek" class="calendar-date">\n              <ion-col col-1 #allTheseThings *ngFor="let week of daysInThisWeek;let i = index" (click)="selectDate(week,i)">\n                  <span class="currentDate" *ngIf="currentDate === week.day; else otherDate">{{week.day}}</span>\n                  <ng-template #otherDate class="otherDate">\n                    {{week.day}}<br>\n                  <div class="event-bullet" *ngIf="checkEvent(week.day)"></div>\n                </ng-template>\n              </ion-col>\n            </ion-row>\n    \n            <ion-row *ngIf="showYear" class="calendar-date">\n              <ion-col col-3  *ngFor="let allYear of allYearsData;let i = index" (click)="selectYear(allYear.year,i)">\n                <span> {{allYear.year}} </span>\n              </ion-col>\n            </ion-row>\n    \n        </ion-grid>\n      </div>\n    </ion-card>\n  </div>\n  \n  <section style="padding: 5px 15px;background: rgba(233, 236, 241, 1)" [hidden]="!isSelected">\n    <div style="margin-top:10px" class="selected-event" *ngIf="isSelected">\n      <ion-list>             \n        <ion-item  style="border-radius: 3px;margin-bottom:1px solid lightgray;padding:10px!important;background:#ffffff">\n            <p style="background-color: #1995dd;height: 8px;width: 8px;border-radius: 30px;margin-right: 10px;"></p>\n          <h3 style="font-weight:bold">{{eventData}}</h3>              \n        </ion-item>\n      </ion-list>\n    </div>\n    <!-- <div style="height:50px"></div>     -->\n  </section>\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\calendar\calendar.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["Y" /* Renderer2 */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */]])
    ], CalendarPage);
    return CalendarPage;
}());

//# sourceMappingURL=calendar.js.map

/***/ }),

/***/ 955:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CalendarPageModule", function() { return CalendarPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__calendar__ = __webpack_require__(1024);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic3_calendar_en__ = __webpack_require__(547);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var CalendarPageModule = /** @class */ (function () {
    function CalendarPageModule() {
    }
    CalendarPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */]),
                __WEBPACK_IMPORTED_MODULE_3_ionic3_calendar_en__["a" /* CalendarModule */],
                __WEBPACK_IMPORTED_MODULE_4__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], CalendarPageModule);
    return CalendarPageModule;
}());

//# sourceMappingURL=calendar.module.js.map

/***/ })

});
//# sourceMappingURL=54.js.map