webpackJsonp([55],{

/***/ 1023:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BusPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var BusPage = /** @class */ (function () {
    function BusPage(navCtrl, navParams, events, service, userData) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.studentList = {};
        this.busRoute = [];
        this.selectoptions = {};
        this.morning = "M";
        this.evening = "E";
        this.morStop = [];
        this.eveStop = [];
        this.tabSelect = 'Morning';
        this.events.subscribe("BusPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.studentList.Swdob = _this.studentList.Swdob.replace("DOB", "");
                _this.getBusRoute();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.studentList.Swdob = _this.studentList.Swdob.replace("DOB", "");
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getBusRoute();
                    }
                });
            }
        });
    }
    BusPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad BusPage');
    };
    BusPage.prototype.getBusRoute = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_43" /* ROUTE_DETAIL */],
            this.studentList.Swsid,
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobRouteDetResult == "[]" || data.MobRouteDetResult == "No data") {
                _this.busRoute = [];
                _this.service.showToast("No Data Available");
            }
            else {
                var obj = JSON.parse(data.MobRouteDetResult);
                if (obj.length > 0) {
                    _this.busRoute = obj;
                    _this.selectoptions = _this.busRoute[0];
                    _this.getMorningdetail();
                    // this.getEveningDetail();
                    console.log("Bus Route", _this.busRoute);
                }
                else {
                    _this.busRoute = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_43" /* ROUTE_DETAIL */] + " ", error);
        });
    };
    BusPage.prototype.getMorningdetail = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_61" /* STOP_DETAIL */],
            this.selectoptions.Rno,
            this.morning
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobStopDetResult == "[]" || data.MobStopDetResult == "No data") {
                _this.service.hide();
                _this.morStop = [];
                // this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.MobStopDetResult);
                if (obj.length > 0) {
                    _this.morStop = obj;
                    console.log("Morning Bus Route", _this.morStop);
                }
                else {
                    _this.service.hide();
                    _this.morStop = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_61" /* STOP_DETAIL */] + " ", error);
        });
    };
    BusPage.prototype.getEveningDetail = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_61" /* STOP_DETAIL */],
            this.selectoptions.Rno,
            this.evening
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobStopDetResult == "[]" || data.MobStopDetResult == "No data") {
                _this.service.hide();
                _this.eveStop = [];
                // this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.MobStopDetResult);
                if (obj.length > 0) {
                    _this.eveStop = obj;
                    console.log("Evening Bus Route", _this.eveStop);
                }
                else {
                    _this.service.hide();
                    _this.eveStop = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_61" /* STOP_DETAIL */] + " ", error);
        });
    };
    BusPage.prototype.compare = function (a, b) {
        if (a.Rno === b.Rno) {
            return true;
        }
        else {
            return false;
        }
    };
    BusPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-bus',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\bus\bus.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header> \n\n<ion-content>\n  <div style="padding: 5px 13px;">\n    <h3 class="heading">Bus</h3>\n    <!-- <ion-card class="buscard" >   \n      <ion-item style="padding: 4px 16px;" >\n        <ion-avatar item-start>\n          <img [src] ="studentList.Swif"> \n        </ion-avatar>\n        <h4 style="font-weight: 600; font-size: 16px;white-space: normal;word-break: break-word;">{{studentList.Swn}}</h4>\n        <p style="font-size: 15px; padding: 4px 0px;"><span>{{studentList.Swcn}}</span> <span style=" padding: 0px 7px;"> |  </span><span>{{studentList.Swdob}}</span></p>\n      </ion-item>      \n    </ion-card> -->\n  </div>\n\n  <div style="padding: 0px 13px 13px 13px;">\n    \n    <ion-card class="buscardtab">\n      <ul class="sliderr" style="margin-top: 0px;-webkit-padding-start: 0px;margin-bottom: 0px;padding: 3px;border-bottom: 1px solid rgba(0, 0, 0, 0.14);">\n        <li [ngClass]="{\'active\': (tabSelect == \'Morning\')}" (click)="tabSelect = \'Morning\' ;getMorningdetail();"> \n          <div class="headli"><span>Morning</span></div>\n        </li>\n        <li [ngClass]="{\'active\': (tabSelect == \'Evening\')}" (click)="tabSelect = \'Evening\' ;getEveningDetail();"> \n          <div class="headli"><span>Evening</span></div>\n        </li>\n      </ul>\n\n      <div *ngIf="tabSelect == \'Morning\'">     \n        <div style="padding: 0px 10px;background: rgba(0, 0, 0, 0.02);"> \n          <ion-row>\n            <ion-col style="padding: 0px !important">\n              <label class="lightfont" style="font-size: 16px;padding-top: 12px;display: inline-block;">Route No</label>\n            </ion-col>\n            <ion-col style="padding: 0px !important">\n              <ion-select  style="position: relative;" interface="popover" [(ngModel)]="selectoptions" (ionChange)="getMorningdetail()" [compareWith]="compare">\n                <ion-option [value]="route" *ngFor="let route of busRoute">{{route.Rn}}</ion-option>\n              </ion-select>\n            </ion-col>\n          </ion-row>                \n        </div>     \n        <div style="padding: 0px">\n          <div>\n            <table style="text-align: left;width:100%;">\n              <tr style="background: gray;color: white;">\n                <th>Stop Name</th>\n                <th style="width: 110px;">Stop Time</th>\n              </tr>\n              <tr *ngFor="let mor of morStop">\n                <td>{{mor.Sn}}</td>\n                <td>{{mor.st}}</td>\n              </tr>\n            </table>\n          </div>\n          <div *ngIf="morStop.length == 0" style="text-align: center;padding:10px">\n            No Records Avilable\n          </div>\n        </div>    \n      </div> \n\n      <div *ngIf="tabSelect == \'Evening\'">\n        <div style="padding: 0px 10px;background: rgba(0, 0, 0, 0.02);"> \n          <ion-row>\n            <ion-col style="padding: 0px !important">\n              <label class="lightfont" style="font-size: 16px;padding-top: 12px;display: inline-block;">Route No</label>\n            </ion-col>\n            <ion-col style="padding: 0px !important">\n              <ion-select  style="position: relative;" interface="popover" [(ngModel)]="selectoptions" (ionChange)="getEveningDetail()">\n                <ion-option [value]="route" *ngFor="let route of busRoute">{{route.Rn}}</ion-option>\n              </ion-select>\n            </ion-col>\n          </ion-row>                \n        </div> \n        <div style="padding: 0px">\n          <div>\n            <table style="text-align: left;width:100%;">\n              <tr style="background: gray;color: white;">\n                <th>Stop Name</th>\n                <th>Stop Time</th>\n              </tr>\n              <tr *ngFor="let eve of eveStop">\n                <td>{{eve.Sn}}</td>\n                <td>{{eve.st}}</td>\n              </tr>\n            </table>\n          </div>\n          <div *ngIf="eveStop.length == 0" style="text-align: center;padding:10px">\n            No Records Avilable\n          </div>\n        </div>        \n      </div> \n\n    </ion-card>\n  </div> \n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\bus\bus.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */]])
    ], BusPage);
    return BusPage;
}());

//# sourceMappingURL=bus.js.map

/***/ }),

/***/ 954:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BusPageModule", function() { return BusPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bus__ = __webpack_require__(1023);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var BusPageModule = /** @class */ (function () {
    function BusPageModule() {
    }
    BusPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bus__["a" /* BusPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bus__["a" /* BusPage */]),
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], BusPageModule);
    return BusPageModule;
}());

//# sourceMappingURL=bus.module.js.map

/***/ })

});
//# sourceMappingURL=55.js.map