webpackJsonp([56],{

/***/ 1022:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_data_user_data__ = __webpack_require__(93);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var AttendancePage = /** @class */ (function () {
    function AttendancePage(navCtrl, service, events, userData, navParams) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.service = service;
        this.events = events;
        this.userData = userData;
        this.navParams = navParams;
        this.studList = {};
        this.studYearList = [];
        this.studAttSum = [];
        this.studAttenList = [];
        this.studSummList = [];
        this.studentYear = [];
        this.tabs = 'absent';
        this.events.subscribe("AttendancePage", function (data) {
            if (data != null) {
                debugger;
                _this.studList = data;
                _this.getYearList();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studInfo = data;
                        _this.getYearList();
                    }
                });
            }
        });
    }
    AttendancePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad AttendancePage');
    };
    AttendancePage.prototype.getYearList = function () {
        var _this = this;
        debugger;
        var paramArr = [
            __WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["f" /* ATT_YEAR_LST */],
            this.studList.Swsi,
            this.studList.Swsid,
            this.studInfo.Gid
        ];
        var url = this.service.getFormattedUrl(paramArr);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.AtnyearlistResult == "[]" || data.AtnyearlistResult == "No data") {
                _this.studYearList = [];
            }
            else {
                var studYear = JSON.parse(data.AtnyearlistResult);
                if (studYear.length > 0) {
                    _this.studYearList = studYear;
                    _this.yearInfo = _this.studYearList[0];
                    console.log("student year", _this.studYearList);
                }
                else {
                    _this.studYearList = [];
                }
                _this.yearlyResult();
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["f" /* ATT_YEAR_LST */] + " ", error);
        });
    };
    AttendancePage.prototype.yearlyResult = function () {
        var _this = this;
        debugger;
        this.service.show();
        var paramArr = [
            __WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["e" /* ATT_YEARLYREPORT */],
            this.studList.Swsi,
            this.yearInfo.YID,
            this.studInfo.Gid
        ];
        var url = this.service.getFormattedUrl(paramArr);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobAttYearlyReportResult == "[]" || data.MobAttYearlyReportResult == "No data") {
                _this.service.hide();
                _this.studentYear = [];
            }
            else {
                var obj = JSON.parse(data.MobAttYearlyReportResult);
                if (obj.length > 0) {
                    _this.studentYear = obj;
                    console.log("student year List", _this.studentYear);
                }
                else {
                    _this.service.hide();
                    _this.studentYear = [];
                }
                _this.getAttdSummary();
                _this.getAttdList();
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["e" /* ATT_YEARLYREPORT */] + " ", error);
        });
    };
    AttendancePage.prototype.getAttdSummary = function () {
        var _this = this;
        debugger;
        var paramArr = [
            __WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["d" /* ATT_SUM_LST */],
            this.studList.Swsi,
            this.yearInfo.YN,
            this.studInfo.Gid
        ];
        var url = this.service.getFormattedUrl(paramArr);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobAttSumResult == "[]" || data.MobAttSumResult == "No data") {
                _this.service.hide();
                _this.studSummList = [];
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.MobAttSumResult);
                if (obj.length > 0) {
                    _this.studSummList = obj;
                    console.log("student summary list", _this.studSummList);
                }
                else {
                    _this.studSummList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["d" /* ATT_SUM_LST */] + " ", error);
        });
    };
    AttendancePage.prototype.getAttdList = function () {
        var _this = this;
        debugger;
        var paramArr = [
            __WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["c" /* ATT_GET_LST */],
            this.studList.Swsi,
            this.yearInfo.YN,
            this.studInfo.Gid
        ];
        var url = this.service.getFormattedUrl(paramArr);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobAttListResult == "[]" || data.MobAttListResult == "No data") {
                _this.service.hide();
                _this.studAttenList = [];
            }
            else {
                _this.service.hide();
                var studAtt = JSON.parse(data.MobAttListResult);
                if (studAtt.length > 0) {
                    _this.studAttenList = studAtt;
                    console.log("student att list", _this.studAttenList);
                }
                else {
                    _this.studAttenList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_3__models_apiMethod__["c" /* ATT_GET_LST */] + " ", error);
        });
    };
    AttendancePage.prototype.getFormattedDate = function (date) {
        var formatdate = new Date(parseInt(date.substr(6)));
        return formatdate.toISOString();
    };
    AttendancePage.prototype.yearCompare = function (a1, b1) {
        if (a1.YN === b1.YN) {
            return true;
        }
        else {
            return false;
        }
    };
    AttendancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-attendance',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\attendance\attendance.html"*/'\n<ion-header>\n<commonheader></commonheader>\n</ion-header>\n\n<ion-content >\n    <div style="padding: 15px;">\n        <h3 class="heading">\n        Yearly Report\n        </h3>\n        <div class="yearsel">\n            <ion-icon name="calendar"></ion-icon>\n            <ion-select style="position: relative" interface="popover" [(ngModel)]="yearInfo" (ionChange)="yearlyResult()" [compareWith]="yearCompare" style="border:none;margin:0px;">\n                <ion-option [value]="year" *ngFor="let year of studYearList">{{year.YFN}}</ion-option>\n            </ion-select>\n        </div>\n    </div> \n    <section>\n        <ul class="colorbox" >\n            <li *ngFor="let yearvalue of studentYear">\n                <button ion-item>\n                    <div class="imgcircle" style="background: #fdeedf">\n                        <img src="assets/imgs/at1.jpg">\n                    </div>\n                    <h4>{{yearvalue.tot}}</h4>\n                    <p>{{yearvalue.ty}}</p>\n                </button>\n            </li>            \n        </ul>\n        <div class="record" *ngIf="studentYear.length == 0">\n            No Records Avilable\n        </div>\n    </section>\n\n    <div>\n        <ion-card class="cardview">\n            <ion-segment style="color: black;" [(ngModel)] = "tabs">\n                <ion-segment-button value="absent" style="text-transform: none;">\n                    Absent / Leave details\n                </ion-segment-button>\n                <ion-segment-button value="summary" style="text-transform: none;">\n                  Attendance Summary\n                </ion-segment-button>\n              </ion-segment>\n        </ion-card>\n    </div>\n\n    <div *ngIf="tabs == \'absent\'">\n        <ion-card style="padding: 8px;border-radius: 0px 0px 7px 7px;margin: 0px 10px 10px 10px;">\n            <div>\n                <table style="width: 100%;">\n                    <tr>\n                        <th>Date</th>\n                        <th>Morning Attendance</th>\n                        <th>Evening Attendance</th>\n                    </tr>\n                    <tr *ngFor = "let list of studAttenList">\n                        <td>{{list.ad}}</td>\n                        <td>{{list.ma}}</td>\n                        <td>{{list.ea}}</td>\n                    </tr>\n                </table>\n            </div>\n            <div *ngIf = "studAttenList.length == 0" style="text-align: center;padding:10px">\n                No Record Avilable\n            </div>\n        </ion-card>\n    </div>\n\n    <div *ngIf="tabs == \'summary\'">\n        <ion-card style="padding: 8px;border-radius: 0px 0px 7px 7px;margin: 0px 10px 10px 10px;">\n            <div>\n                <table style="width: 100%;">\n                    <tr>\n                        <th>Month</th>\n                        <th>Working Day</th>\n                        <th>Marked</th>\n                        <th>Present</th>\n                        <th>Absent</th>\n                    </tr>\n                    <tr *ngFor = "let list of studSummList">\n                        <td>{{list.Am}}</td>\n                        <td>{{list.wk}}</td>\n                        <td>{{list.md}}</td>\n                        <td>{{list.pd}}</td>\n                        <td>{{list.ad}}</td>\n                    </tr>\n                </table>\n            </div>\n            <div *ngIf = "studSummList.length == 0" style="text-align: center;padding:10px">\n                No Record Avilable\n            </div>\n        </ion-card>\n    </div>\n\n    \n\n    <!-- <section style="padding: 15px;background:#e5e8ed">\n        <h3 class="heading" style="margin-bottom: 18px!important;">\n        Yearly Absent / Leave Report\n        </h3>  \n        <ul class="sliderr">\n            <li *ngFor="let attlist of studAttenList">\n                <ion-card>\n                    <ion-card-content style="padding: 10px;">\n                        <h1>{{attlist.ad}}</h1>\n                        <table style="width:100%;margin-bottom: 10px;">\n                            <tr>\n                                <td >\n                                    <p>\n                                    Morning\n                                    </p>\n                                    <h4 *ngIf="attlist.mf == \'A\'" class="absent">{{attlist.ma}}</h4>\n                                    <h4 *ngIf="attlist.mf == \'P\'" class="present">{{attlist.ma}}</h4>\n                                </td>\n                                <td>\n                                    <p>\n                                    Evening\n                                    </p>\n                                    <h4 *ngIf="attlist.ef == \'A\'" class="absent">{{attlist.ea}}</h4>\n                                    <h4 *ngIf="attlist.ef == \'P\'" class="present">{{attlist.ea}}</h4>                        \n                                </td>\n                            </tr>\n                        </table>\n                        <p>\n                        Remarks\n                        </p>\n                        <h2>{{attlist.rem}}</h2>\n                    </ion-card-content>\n                </ion-card>\n            \n            </li>            \n    </ul>\n    <div class="record" *ngIf="studAttenList.length == 0">\n        No Records Avilable\n    </div>\n    </section> -->\n</ion-content>\n\n<ion-footer class="taby">\n    <commontab></commontab>\n</ion-footer>\n    '/*ion-inline-end:"D:\Mohan\TSUS\src\pages\attendance\attendance.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */]])
    ], AttendancePage);
    return AttendancePage;
}());

//# sourceMappingURL=attendance.js.map

/***/ }),

/***/ 953:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AttendancePageModule", function() { return AttendancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__attendance__ = __webpack_require__(1022);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AttendancePageModule = /** @class */ (function () {
    function AttendancePageModule() {
    }
    AttendancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__attendance__["a" /* AttendancePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__attendance__["a" /* AttendancePage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], AttendancePageModule);
    return AttendancePageModule;
}());

//# sourceMappingURL=attendance.module.js.map

/***/ })

});
//# sourceMappingURL=56.js.map