webpackJsonp([57],{

/***/ 1019:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AlertDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var AlertDetailPage = /** @class */ (function () {
    function AlertDetailPage(navCtrl, navParams, events, service, userData, inAppBrowser, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.inAppBrowser = inAppBrowser;
        this.storage = storage;
        this.list = {};
        this.studentAlertList = {};
        this.alertDetList = [];
        debugger;
        this.list = navParams.get('data');
        this.title = this.list.Es;
        this.storage.get("studentInfo").then(function (data) {
            _this.logo = data.Logo;
        });
        this.events.subscribe("AlertDetailPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentAlertList = data;
                _this.getAlertDetails();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentAlertList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getAlertDetails();
                    }
                });
            }
        });
    }
    AlertDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad AlertDetailPage');
    };
    AlertDetailPage.prototype.getAlertDetails = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["a" /* ALERT_DETAILLIST */],
            this.list.Eid,
            this.studentAlertList.Swsid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.AlertdetlistResult == "[]" || data.AlertdetlistResult == "No Data") {
                _this.service.hide();
                _this.alertDetList = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var alertDet = JSON.parse(data.AlertdetlistResult);
                if (alertDet.length > 0) {
                    _this.alertDetList = alertDet;
                    for (var i = 0; i < _this.alertDetList.length; i++) {
                        _this.alertDetList[i].Image = "assets/imgs/file.png";
                    }
                    var viewpath = [];
                    var View_path = new Object();
                    if (_this.alertDetList[0].Eaf1 != undefined && _this.alertDetList[0].Evf1 == "True") {
                        View_path.path = _this.alertDetList[0].Eaf1;
                        _this.user = View_path;
                        viewpath.push(_this.user);
                    }
                    if (_this.alertDetList[0].Eaf2 != undefined && _this.alertDetList[0].Evf2 == "True") {
                        View_path.path = _this.alertDetList[0].Eaf2;
                        _this.user = View_path;
                        viewpath.push(_this.user);
                    }
                    if (_this.alertDetList[0].Eaf3 != undefined && _this.alertDetList[0].Evf3 == "True") {
                        View_path.path = _this.alertDetList[0].Eaf3;
                        _this.user = View_path;
                        viewpath.push(_this.user);
                    }
                    _this.alertDetList[0].viewpath = viewpath;
                    _this.alertPath = _this.alertDetList[0].viewpath;
                    console.log("Alert Detailed List", _this.alertDetList);
                }
                else {
                    _this.service.hide();
                    _this.alertDetList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["a" /* ALERT_DETAILLIST */] + " ", error);
        });
    };
    AlertDetailPage.prototype.showPdf = function (url) {
        var options = {
            zoom: 'yes'
        };
        if (url == null) {
            this.service.showToast("No Pdf Available");
        }
        else {
            var target = "_system";
            this.inAppBrowser.create(url, target, options);
        }
    };
    AlertDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-alert-detail',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\alert-detail\alert-detail.html"*/'\n<ion-header>\n  <ion-navbar >\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height:40px" [src]="logo"></ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n\n  <section style="padding: 15px 15px 10px">\n    <h3 class="heading">Alert Detail</h3>\n  </section>\n\n  <section style="padding: 10px 15px">\n      <ion-card class="buscard parents" style="margin-top:0px" *ngFor="let detail of alertDetList">\n        <ion-card-content style="padding:20PX 20px 10px;overflow-x: scroll;" >\n          <h2 style="font-size: 17px; FONT-WEIGHT: 500;">{{detail.Es}}</h2>\n          <div style="text-align: left; padding: 8px 0px;" class="lightfont">\n            <img src="assets/imgs/calender-icon.png" style="width: auto;display: inline-block;height: 20px;vertical-align: bottom;">\n            {{detail.Eso}}\n          </div>\n          <p style="padding:10px 0px" class="aldetail">\n           <span [innerHTML]="detail.Em"></span>\n          </p>\n          <span *ngFor="let alert of alertPath">\n            <button ion-button clear style="padding: 8px 5px 8px 0px;">\n              <img src="assets/imgs/file.png" (click)="showPdf(alert.path)">\n            </button>\n          </span>\n        </ion-card-content>\n      </ion-card>\n    </section>\n</ion-content>\n\n\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\alert-detail\alert-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */]])
    ], AlertDetailPage);
    return AlertDetailPage;
}());

//# sourceMappingURL=alert-detail.js.map

/***/ }),

/***/ 951:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AlertDetailPageModule", function() { return AlertDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__alert_detail__ = __webpack_require__(1019);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AlertDetailPageModule = /** @class */ (function () {
    function AlertDetailPageModule() {
    }
    AlertDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__alert_detail__["a" /* AlertDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__alert_detail__["a" /* AlertDetailPage */]),
            ],
        })
    ], AlertDetailPageModule);
    return AlertDetailPageModule;
}());

//# sourceMappingURL=alert-detail.module.js.map

/***/ })

});
//# sourceMappingURL=57.js.map