webpackJsonp([60],{

/***/ 1016:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AcademicResourcesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AcademicResourcesPage = /** @class */ (function () {
    function AcademicResourcesPage(navCtrl, navParams, service, userData, events, storage, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.userData = userData;
        this.events = events;
        this.storage = storage;
        this.zone = zone;
        this.studentResList = {};
        this.acadamicList = [];
        this.events.subscribe("AcademicResourcesPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentResList = data;
                _this.getStudForm();
            }
        });
        this.service.getCurrentStudentData().then(function (currentstuddata) {
            if (currentstuddata != null) {
                debugger;
                _this.studentResList = currentstuddata;
                _this.userData.getValidateLoggedUser().then(function (logData) {
                    if (logData != null) {
                        _this.studentInfo = logData;
                        _this.storage.get("academicNotify").then(function (notifyData) {
                            if (notifyData == null) {
                            }
                            else {
                                _this.resourceid = notifyData.message.Refid;
                                _this.storage.remove("academicNotify");
                            }
                            _this.getStudForm();
                        });
                    }
                });
            }
        });
    }
    AcademicResourcesPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad AcademicResourcesPage');
    };
    AcademicResourcesPage.prototype.gotoacademicresourcesinner = function (data) {
        debugger;
        this.navCtrl.push('AcademicResourcesInnerPage', { "list": data });
    };
    AcademicResourcesPage.prototype.getStudForm = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_64" /* STUDENT_CATRES */],
            this.studentResList.Swfi
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobAcaCatListResult == "[]" || data.MobAcaCatListResult == "No Data") {
                _this.service.hide();
                _this.service.showToast("No Data Available");
            }
            else {
                var mobAcaList = JSON.parse(data.MobAcaCatListResult);
                if (mobAcaList.length > 0) {
                    _this.service.hide();
                    _this.acadamicList = mobAcaList;
                    _this.acadamicList.map(function (res) {
                        if (res.Rid == _this.resourceid) {
                            _this.navCtrl.push('AcademicResourcesInnerPage', { "list": res });
                        }
                    });
                    console.log("Student Acadamic Information", _this.acadamicList);
                }
                else {
                    _this.service.hide();
                    _this.acadamicList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_64" /* STUDENT_CATRES */] + " ", error);
        });
    };
    AcademicResourcesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-academic-resources',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\academic-resources\academic-resources.html"*/'\n<ion-header>\n <commonheader></commonheader>\n</ion-header>\n\n<ion-content > \n\n  <section style="padding: 5px 13px;" >\n    <h3 class="heading">Academic Resources</h3>\n    <ion-card class="buscard" *ngFor="let list of acadamicList" (click)="gotoacademicresourcesinner(list)">  \n      <button ion-item style=" padding: 4px 9px;">                \n        <div item-start name="star">\n          <img src="assets/icon/ac/ac1.png">\n        </div>      \n        <h4>\n          {{list.Rn}}\n        </h4>\n        <ion-icon item-end name="ios-arrow-forward">\n\n        </ion-icon>\n      </button>       \n    </ion-card>\n  </section>\n\n</ion-content>\n\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n  \n\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\academic-resources\academic-resources.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], AcademicResourcesPage);
    return AcademicResourcesPage;
}());

//# sourceMappingURL=academic-resources.js.map

/***/ }),

/***/ 948:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AcademicResourcesPageModule", function() { return AcademicResourcesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__academic_resources__ = __webpack_require__(1016);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AcademicResourcesPageModule = /** @class */ (function () {
    function AcademicResourcesPageModule() {
    }
    AcademicResourcesPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__academic_resources__["a" /* AcademicResourcesPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__academic_resources__["a" /* AcademicResourcesPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], AcademicResourcesPageModule);
    return AcademicResourcesPageModule;
}());

//# sourceMappingURL=academic-resources.module.js.map

/***/ })

});
//# sourceMappingURL=60.js.map