webpackJsonp([19],{

/***/ 1060:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OnlineTestPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var OnlineTestPage = /** @class */ (function () {
    function OnlineTestPage(navCtrl, navParams, events, service, userData, storage, inAppBrowser, zone) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.inAppBrowser = inAppBrowser;
        this.zone = zone;
        this.subjectList = [];
        this.testList = [
            {
                "id": 'P',
                "name": 'Practice'
            }, {
                "id": 'A',
                "name": 'Assessment'
            }
        ];
        this.selectedTest = 'A';
        this.assessList = [];
    }
    OnlineTestPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.storage.get("studentInfo").then(function (data) {
            _this.storage.get("student_active").then(function (datas) {
                _this.studentList = datas;
                _this.selectedSubject = 0;
                _this.tabsel = 'A';
                _this.logo = data.Logo;
                _this.studentInfo = data;
                _this.getSubject();
                _this.getStudAssessList();
            });
        });
    };
    OnlineTestPage.prototype.onChange = function ($event) {
        // console.log($event)
        this.tabsel = $event;
        this.tabsell(this.tabsel);
        console.log("selectedTest", this.selectedTest);
    };
    OnlineTestPage.prototype.tabsell = function (value) {
        // if (this.tabsel == 'P') {
        //   this.tabsel = 'A';
        // } else if (this.tabsel == 'A') {
        //   this.tabsel = 'P';
        // }
        this.tabsel = value;
        console.log("tabsel", this.tabsel);
        this.selectedTest = this.tabsel;
        this.selectedSubject = 0;
        this.getStudAssessList();
    };
    OnlineTestPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HomeworkPage');
    };
    OnlineTestPage.prototype.subSelect = function ($event) {
        console.log($event);
        this.selectedSubject = $event;
        this.getStudAssessList();
    };
    OnlineTestPage.prototype.getStudAssessList = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["X" /* GET_MOB_STUD_ONLINE_ASSESS_LIST */], this.selectedSubject, this.selectedTest, this.studentList.Swsi, this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            _this.service.hide();
            if (data.GetMobStudOnlineAssessListResult == "[]" || data.GetMobStudOnlineAssessListResult == "No Data") {
                _this.service.hide();
                _this.assessList = [];
                _this.service.showToast(data.GetMobStudOnlineAssessListResult);
            }
            else {
                _this.service.hide();
                _this.assessList = JSON.parse(data.GetMobStudOnlineAssessListResult);
                if (_this.assessList.length > 0) {
                    console.log("Student List Information", _this.assessList);
                }
                else {
                    _this.service.hide();
                    _this.assessList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_2" /* GET_ONLINE_ASSESS_SUBJECT */] + " ", error);
        });
    };
    OnlineTestPage.prototype.gotodetail = function (data) {
        console.log("selected assessment", data);
        this.navCtrl.push('OnlineTestDetailPage', { "data": data });
    };
    OnlineTestPage.prototype.gotoResult = function (data) {
        console.log("selected assessment", data);
        if (data.Test_EntryType == 'A') {
            this.navCtrl.push('OnlineTestAllfileResultPage', { "data": data });
        }
        else if (data.Test_EntryType == 'D') {
            this.navCtrl.push('OnlineTestResultPage', { "data": data });
        }
    };
    OnlineTestPage.prototype.getSubject = function () {
        var _this = this;
        console.log("studentInfo", this.studentInfo);
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_2" /* GET_ONLINE_ASSESS_SUBJECT */], this.studentList.Swsi, this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            _this.service.hide();
            if (data.GetMobOnlAssessSubjectResult == "[]" || data.GetMobOnlAssessSubjectResult == "No Data") {
                _this.service.hide();
                _this.subjectList = [];
                _this.service.showToast(data.GetMobOnlAssessSubjectResult);
            }
            else {
                _this.service.hide();
                _this.subjectList = JSON.parse(data.GetMobOnlAssessSubjectResult);
                if (_this.subjectList.length > 0) {
                    // this.subject = this.subjectList[0];
                    console.log("Student List Information", _this.subjectList);
                }
                else {
                    _this.service.hide();
                    _this.subjectList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_2" /* GET_ONLINE_ASSESS_SUBJECT */] + " ", error);
        });
    };
    OnlineTestPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-online-test',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\online-test\online-test.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height: 40px" [src]="logo" /></ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n  <section style="background: #f0f1f3; padding: 10px 10px">\n    <h3 class="heading">Test Dashboard</h3>\n    <ion-card class="buscard selcard">\n      <ion-card-content>\n        <div class="item">\n          <label class="lightfont">Test</label>\n          <ion-select [(ngModel)]="selectedTest" (ionChange)="onChange($event)" style="position: relative"\n            interface="popover">\n            <ion-option *ngFor="let testType of testList" [value]="testType.id">{{testType.name}}</ion-option>\n            <!-- <ion-option value="P">Practice</ion-option>\n            <ion-option value="A">Assessment</ion-option> -->\n          </ion-select>\n        </div>\n        <div class="item">\n          <label class="lightfont">Subject</label>\n          <ion-select [(ngModel)]="selectedSubject" placeholder="Select Subject" (ionChange)="subSelect($event)"\n            style="position: relative" interface="popover">\n            <ion-option *ngFor="let subjects of subjectList" [value]="subjects.SID">{{subjects.SN}}</ion-option>\n          </ion-select>\n        </div>\n      </ion-card-content>\n    </ion-card>\n  </section>\n  <section style="padding: 10px 10px">\n    <!-- <ion-toolbar\n      class="trs"\n      style="min-height: 40px; margin-top: 2px; padding: 0px"\n    >\n      <ul class="sliderr" style="margin-top: 0px">\n        <li [ngClass]="{\'active\': (tabsel == \'P\')}" (click)="tabsell(\'P\')">\n          <div>Practice</div>\n        </li>\n        <li [ngClass]="{\'active\': (tabsel == \'A\')}" (click)="tabsell(\'A\')">\n          <div>Assessment</div>\n        </li>\n      </ul>\n    </ion-toolbar> -->\n    <div *ngIf="tabsel == \'P\'">\n      <ion-card class="buscard selcard card card-md" style="width: 100%;padding:20px" *ngIf="!assessList.length">\n\n        <img style="width: auto;margin:auto;height: 100px;" src="assets/imgs/nodata2.png" />\n        <h4 style="text-align: center;">No data found !!</h4>\n      </ion-card>\n      <div *ngIf="assessList.length">\n        <ion-card class="hwcard" *ngFor="let list of assessList;let index = index">\n          <ion-list class="m-0">\n            <div ion-item text-wrap style="background: transparent">\n              <div class="rb pink">{{list.SN}}</div>\n              <div class="gp">\n                <h4>{{list.TN}}</h4>\n                <div class="m-b-5">\n                  <span>Opens on - {{list.OD}} </span>\n                  <span>Closes on - {{list.ED}} </span>\n                  <!-- <div style="\n                      font-size: 12px;\n                      white-space: nowrap;\n                      color: #949494;\n                      padding: 0px;\n                    ">\n                    You can resume the test.\n                    Target Accuracy :\n                    <b style="color: #222">{{list.TA}}</b>\n                  </div> -->\n                </div>\n                <ion-row>\n                  <ion-col class="sl">\n                    <button class="red" style="pointer-events: none;" *ngIf="list.STATUS == \'Not Started\'" ion-button>\n                      {{list.STATUS}}\n                    </button>\n                    <button class="red" *ngIf="list.STATUS == \'Start\'" ion-button (click)="gotodetail(list)">\n                      {{list.STATUS}}\n                    </button>\n                    <button class="green" style="pointer-events: none;" *ngIf="list.STATUS == \'Completed\'" ion-button>\n                      {{list.STATUS}}\n                    </button>\n                    <button class="orange" *ngIf="list.STATUS == \'Resume\'" ion-button (click)="gotodetail(list)">\n                      {{list.STATUS}}\n                    </button>\n                  </ion-col>\n                  <ion-col class="sr" *ngIf="list.showresult == \'Y\'">\n                    <button class="testres" *ngIf="list.STATUS == \'Completed\'" (click)="gotoResult(list)" ion-button>\n                      <ion-icon name="eye"></ion-icon> &nbsp; Test Results\n                    </button>\n                  </ion-col>\n                </ion-row>\n              </div>\n            </div>\n          </ion-list>\n        </ion-card>\n      </div>\n    </div>\n    <div *ngIf="tabsel == \'A\'">\n      <ion-card class="buscard selcard card card-md" style="width: 100%;padding:20px" *ngIf="!assessList.length">\n\n        <img style="width: auto;margin:auto;height: 100px;" src="assets/imgs/nodata2.png" />\n        <h4 style="text-align: center;">No data found !!</h4>\n      </ion-card>\n      <div *ngIf="assessList.length">\n        <ion-card class="hwcard" *ngFor="let list of assessList;let index = index">\n          <ion-list class="m-0">\n            <div ion-item text-wrap style="background: transparent">\n              <div class="rb pink">{{list.SN}}</div>\n              <div class="gp">\n                <h4>{{list.TN}}</h4>\n                <div class="m-b-5">\n                  <span>Opens on - {{list.OD}} </span>\n                  <span>Closes on - {{list.ED}} </span>\n                  <!-- <div style="\n                      font-size: 12px;\n                      white-space: nowrap;\n                      color: #949494;\n                      padding: 0px;\n                    ">\n                    You can resume the test.\n                    Target Accuracy :\n                    <b style="color: #222">{{list.TA}}</b>\n                  </div> -->\n                </div>\n                <!-- <ion-row>\n                  <ion-col class="sl">\n                    <button class="red" *ngIf="list.STATUS == \'Completed\'" ion-button>\n                      {{list.STATUS}}\n                    </button>\n                    <button class="green" *ngIf="list.STATUS != \'Completed\'" ion-button (click)="gotodetail(list)">\n                      {{list.STATUS}}\n                    </button>\n                  </ion-col>\n                  <ion-col class="sr" *ngIf="list.showresult == \'Y\'">\n                    <button class="testres" *ngIf="list.STATUS == \'Completed\'" (click)="gotoResult(list)" ion-button>\n                      <ion-icon name="eye"></ion-icon> &nbsp; Test Results\n                    </button>\n                  </ion-col>\n                </ion-row> -->\n                <ion-row>\n                  <ion-col class="sl">\n                    <button class="red" style="pointer-events: none;" *ngIf="list.STATUS == \'Not Started\'" ion-button>\n                      {{list.STATUS}}\n                    </button>\n                    <button class="green" *ngIf="list.STATUS == \'Start\'" ion-button (click)="gotodetail(list)">\n                      {{list.STATUS}}\n                    </button>\n                    <button class="green" style="pointer-events: none;" *ngIf="list.STATUS == \'Completed\'" ion-button>\n                      {{list.STATUS}}\n                    </button>\n                    <button class="orange" *ngIf="list.STATUS == \'Resume\'" ion-button (click)="gotodetail(list)">\n                      {{list.STATUS}}\n                    </button>\n                  </ion-col>\n                  <ion-col class="sr" *ngIf="list.showresult == \'Y\'">\n                    <button class="testres" *ngIf="list.STATUS == \'Completed\'" (click)="gotoResult(list)" ion-button>\n                      <ion-icon name="eye"></ion-icon> &nbsp; Test Results\n                    </button>\n                  </ion-col>\n                </ion-row>\n              </div>\n            </div>\n          </ion-list>\n        </ion-card>\n      </div>\n    </div>\n  </section>\n</ion-content>\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\online-test\online-test.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], OnlineTestPage);
    return OnlineTestPage;
}());

//# sourceMappingURL=online-test.js.map

/***/ }),

/***/ 992:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OnlineTestPageModule", function() { return OnlineTestPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__online_test__ = __webpack_require__(1060);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var OnlineTestPageModule = /** @class */ (function () {
    function OnlineTestPageModule() {
    }
    OnlineTestPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__online_test__["a" /* OnlineTestPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__online_test__["a" /* OnlineTestPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], OnlineTestPageModule);
    return OnlineTestPageModule;
}());

//# sourceMappingURL=online-test.module.js.map

/***/ })

});
//# sourceMappingURL=19.js.map