webpackJsonp([21],{

/***/ 1058:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OnlineTestResultPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the OnlineTestResultPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OnlineTestResultPage = /** @class */ (function () {
    function OnlineTestResultPage(navCtrl, navParams, events, service, userData, storage, alertCtrl, loadingCtrl, toastCtrl, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.zone = zone;
        // this.timeInSeconds = 30;
        this.onlineTestData = navParams.get("data");
        console.log("onlineTest", this.onlineTestData);
        this.storage.get("studentInfo").then(function (data) {
            _this.storage.get("student_active").then(function (datas) {
                _this.studentList = datas;
                _this.logo = data.Logo;
                _this.studentInfo = data;
                console.log("studentInfo", _this.studentInfo);
                _this.getStudOnlineTest();
            });
        });
    }
    OnlineTestResultPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OnlineTestResultPage');
    };
    OnlineTestResultPage.prototype.previousQuestion = function (data) {
        var t = 0;
        var i = data.index;
        if (i == t) {
            this.service.showToast("This is the First Question");
        }
        else if (i > t) {
            this.onlineTestResult = this.onlineTestResultAll[i - 1];
        }
        console.log("Previous Question", this.onlineTestResult);
    };
    OnlineTestResultPage.prototype.nextQuestion = function (data) {
        var t = this.onlineTestResultAll.length - 1;
        var i = data.index;
        if (i == t) {
            this.service.showToast("This is the Last Question");
        }
        else if (i < t) {
            this.onlineTestResult = this.onlineTestResultAll[i + 1];
        }
        console.log("Next Question", this.onlineTestResult);
    };
    OnlineTestResultPage.prototype.gotoQuestion = function (i) {
        this.onlineTestResult = this.onlineTestResultAll[i];
    };
    OnlineTestResultPage.prototype.getStudOnlineTest = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_4" /* GET_STUD_TEST_VIEW_RESULT */], this.onlineTestData.TID, this.studentList.Swsi, this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            _this.service.hide();
            if (data.StudTestViewResultResult == "[]" || data.StudTestViewResultResult == "No Data") {
                _this.service.hide();
                _this.onlineTestResultAll = [];
                _this.onlineTestResult = 'null';
                _this.service.showToast(data.StudTestViewResultResult);
            }
            else {
                _this.service.hide();
                var temp = JSON.parse(data.StudTestViewResultResult);
                _this.onlineTestResult = temp[0];
                _this.onlineTestResultAll = temp;
                if (_this.onlineTestResultAll) {
                    _this.onlineTestResultAll.forEach(function (e, i) {
                        e.list.forEach(function (element) {
                            e.index = i;
                            if (e.QUESTSTATUS == 'A') {
                                if (element.MCQFLAG == 'Y' && element.SELECTEDMCQ == element.MCQID) {
                                    element.checked = true;
                                    element.anscrt = true;
                                    e.anscrt = true;
                                }
                                else if (element.MCQFLAG == 'N' && element.SELECTEDMCQ == element.MCQID) {
                                    element.checked = true;
                                    element.wrong = true;
                                    e.wrong = true;
                                }
                                else if (element.MCQFLAG == 'Y' && element.SELECTEDMCQ == 0) {
                                    element.checked = true;
                                    element.crt = true;
                                    e.crt = true;
                                }
                            }
                            else if (e.QUESTSTATUS == 'N' || 'S' || 'R') {
                                if (element.MCQFLAG == 'Y') {
                                    element.checked = true;
                                    element.crt = true;
                                }
                            }
                        });
                        console.log("E", e);
                    });
                    console.log("Student onlineTestResultAll Information", _this.onlineTestResultAll);
                    console.log("Student Test Information", _this.onlineTestResult);
                }
                else {
                    _this.service.hide();
                    _this.onlineTestResultAll = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_4" /* GET_STUD_TEST_VIEW_RESULT */] + " ", error);
        });
    };
    OnlineTestResultPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-online-test-result',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\online-test-result\online-test-result.html"*/'<ion-header>\n\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height:40px" [src]="logo"></ion-title> \n  </ion-navbar>\n  <!-- <div style="background: #e3e6ea;  padding: 10px;" >\n    <h3 class="heading">Test Result</h3>\n    <ion-card   class="buscard" style="    margin: 0px;\n    width: 100%;\n    padding: 4px 5px 0px;">\n      <ion-card-header style="padding:0px;">\n        <ul class="count">\n          (click)="gotoQuestion(aindex)"\n          <li [class.answered]="a.anscrt" [class.wrong]="a.wrong" [class.skipped]="a.QUESTSTATUS == \'S\'"\n            [class.reviewLater]="a.QUESTSTATUS == \'R\'" *ngFor="let a of onlineTestResultAll;let aindex = index">\n            <div>{{a.QUESTSEQNO}}</div>\n          </li>\n        </ul>\n      </ion-card-header>\n    </ion-card>\n                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                \n</div> -->\n</ion-header>\n\n\n<ion-content no-padding>\n \n  <!-- style="padding-top: 55px;" -->\n  <section  *ngIf="onlineTestResult" >\n    <ion-card class="buscard">\n        <ion-card-header style="padding:0px;">\n          <ion-item style="padding: 2px 12px;">\n            <h4 class="bluehead">{{onlineTestData?.TN}} - Answers</h4>\n          </ion-item>\n        </ion-card-header>\n    </ion-card>\n    <ion-card class="buscard" *ngFor="let onlineTestResult of onlineTestResultAll;let index = index;">\n      <!-- <div class="qcount">\n        <a>\n          <ion-icon name="arrow-back" (click)="previousQuestion(onlineTestResult)"></ion-icon>\n        </a> <span> {{onlineTestResult.QUESTSEQNO}} of {{onlineTestResultAll.length}}</span> <a>\n          <ion-icon name="arrow-forward" (click)="nextQuestion(onlineTestResult)"></ion-icon>\n        </a>\n      </div>  -->\n\n      <ion-card-content style="margin-top: 10px;">\n        <div class="quesset">\n          <table style="width: 100%;margin-bottom: 10px;">\n            <tr>\n              <td>\n                <h3 style="font-weight: 600; font-size: 16;text-align:left;">Marks:{{onlineTestResult.QUESTMARK}}</h3>\n              </td>\n              <td>\n                <h3 style="font-weight: 600; font-size: 16;text-align:right;">Marks\n                  Scored:{{onlineTestResult.MarksScored}}</h3>\n              </td>\n            </tr>\n          </table>\n\n          <div class="question" style="display: flex;">\n            <span style="padding-right: 5px;">{{onlineTestResult.QUESTSEQNO}}.</span>\n            <p [innerHTML]="onlineTestResult.QUESTDESC"></p>\n          </div>\n          <ion-textarea rows="6" *ngIf="onlineTestResult.QUESTANSTYPE==\'TXT\'" readonly=true\n            value="{{onlineTestResult.list[0].TxtRemarks}}"></ion-textarea>\n\n          <div class="anstype1" *ngIf="onlineTestResult.QUESTANSTYPE==\'MCQ\'">\n            <ion-list class="radd" *ngIf="onlineTestResult.list">\n              <ion-item *ngFor="let mcq of onlineTestResult.list;let index = index" [class.anscrt]="mcq.anscrt"\n                [class.wrong]="mcq.wrong" [class.crt]="mcq.crt">\n                <ion-label [innerHTML]="mcq.MCQTXT"></ion-label>\n                <ion-checkbox [disabled]="true" *ngIf="mcq.QUESTMCQOPT== \'M\'" [checked]="mcq.checked">\n                </ion-checkbox>\n                <ion-radio [disabled]="true" *ngIf="mcq.QUESTMCQOPT== \'S\'" [checked]="mcq.checked">\n                </ion-radio>\n              </ion-item>\n            </ion-list>\n          </div>\n          <div class="anstype2">\n            <!-- <div class="upl" *ngIf="onlineTestResult.UPDANS != \'N\'">\n                    <p>Upload Answer</p>\n                    <div class="uplo">\n                      <ion-input (click)="getMedia()"></ion-input> <button ion-button>Browse</button>\n                    </div>\n                  </div> -->\n            <!-- <div class="upl" *ngIf="onlineTestResult.UPDPHOTO != \'N\'">\n                    <p>Upload Image</p>\n                    <div class="uplo">\n                      <ion-input></ion-input><button ion-button>\n                        <ion-icon name="image" (click)="getImage()"></ion-icon>\n                      </button>\n                      <button style="border-left: 1px solid #eee;" (click)="uploadFile()" ion-button>\n                        <ion-icon name="camera"></ion-icon>\n                      </button>\n                    </div>\n                  </div> -->\n            <!-- <div class="upl" *ngIf="onlineTestResult.VideoPath">\n                    <p> Video</p>\n                    <div class="uplo"> \n                       <ion-input (click)="getMedia()"></ion-input> <button ion-button>Browse</button> \n                   </div>\n                  </div> -->\n          </div>\n\n        </div>\n      </ion-card-content>\n    </ion-card>\n  </section>\n</ion-content>'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\online-test-result\online-test-result.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], OnlineTestResultPage);
    return OnlineTestResultPage;
}());

//# sourceMappingURL=online-test-result.js.map

/***/ }),

/***/ 990:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OnlineTestResultPageModule", function() { return OnlineTestResultPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__online_test_result__ = __webpack_require__(1058);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OnlineTestResultPageModule = /** @class */ (function () {
    function OnlineTestResultPageModule() {
    }
    OnlineTestResultPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__online_test_result__["a" /* OnlineTestResultPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__online_test_result__["a" /* OnlineTestResultPage */]),
            ],
        })
    ], OnlineTestResultPageModule);
    return OnlineTestResultPageModule;
}());

//# sourceMappingURL=online-test-result.module.js.map

/***/ })

});
//# sourceMappingURL=21.js.map