webpackJsonp([28],{

/***/ 1051:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LunchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var LunchPage = /** @class */ (function () {
    function LunchPage(navCtrl, navParams, service, userData, storage, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.events = events;
        this.studLunList = {};
        this.studWeekDetail = [];
        this.studLunchMenuDetail = [];
        this.date = this.getFormattedDate(new Date());
        this.currentDate = this.date;
        this.previous = false;
        this.next = false;
        this.current = true;
        this.status = false;
        this.events.subscribe("LunchPage", function (data) {
            if (data != null) {
                _this.studLunList = data;
                _this.getCurrLunch();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studLunList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getCurrLunch();
                    }
                });
            }
        });
    }
    LunchPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LunchPage');
        this.getFormattedDate;
        this.currentWeek();
    };
    LunchPage.prototype.getFormattedDate = function (date) {
        debugger;
        var month = new Array();
        month[0] = "Jan";
        month[1] = "Feb";
        month[2] = "Mar";
        month[3] = "Apr";
        month[4] = "May";
        month[5] = "Jun";
        month[6] = "Jul";
        month[7] = "Aug";
        month[8] = "Sep";
        month[9] = "Oct";
        month[10] = "Nov";
        month[11] = "Dec";
        var mm = month[date.getMonth()];
        var dd = date.getDate();
        if (mm < 10)
            mm = "0" + mm;
        if (dd < 10)
            dd = "0" + dd;
        return dd + "-" + mm + "-" + date.getFullYear();
    };
    LunchPage.prototype.currentWeek = function () {
        debugger;
        this.next = false;
        this.previous = false;
        this.currentType = "C";
        this.getCurrLunch();
    };
    LunchPage.prototype.previousWeek = function () {
        debugger;
        this.next = false;
        this.current = false;
        this.currentType = "P";
        this.getPrevLunch();
    };
    LunchPage.prototype.neWeek = function () {
        debugger;
        this.previous = false;
        this.current = false;
        this.currentType = "N";
        this.getNextLunch();
    };
    LunchPage.prototype.getPrevLunch = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */],
            this.currentDate,
            this.currentType = "P"
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            var regex = new RegExp(" ", 'g');
            if (data.MobLunchweekListResult == "[]" || data.MobLunchweekListResult == "No data") {
                _this.service.hide();
                _this.studWeekDetail = [];
                // this.service.showToast("No Data Available");
            }
            else {
                var studPrevLunch = JSON.parse(data.MobLunchweekListResult);
                if (studPrevLunch.length > 0) {
                    debugger;
                    _this.service.hide();
                    _this.studWeekDetail = studPrevLunch;
                    _this.fromDate = _this.studWeekDetail[0].Sun.replace(regex, '-');
                    _this.toDate = _this.studWeekDetail[0].Sat.replace(regex, '-');
                    _this.getLunchDetails();
                    console.log("Student Lunch Information", _this.studWeekDetail, _this.fromDate, _this.toDate);
                }
                else {
                    _this.service.hide();
                    _this.studWeekDetail = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */] + " ", error);
        });
    };
    LunchPage.prototype.getCurrLunch = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */],
            this.currentDate,
            this.currentType = "C"
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            var regex = new RegExp(" ", 'g');
            if (data.MobLunchweekListResult == "[]" || data.MobLunchweekListResult == "No data") {
                _this.service.hide();
                _this.studWeekDetail = [];
                // this.service.showToast("No Data Available");
            }
            else {
                var studCurrLunch = JSON.parse(data.MobLunchweekListResult);
                if (studCurrLunch.length > 0) {
                    debugger;
                    _this.service.hide();
                    _this.studWeekDetail = studCurrLunch;
                    _this.fromDate = _this.studWeekDetail[0].Sun.replace(regex, '-');
                    _this.toDate = _this.studWeekDetail[0].Sat.replace(regex, '-');
                    _this.getLunchDetails();
                    console.log("Student Lunch Information", _this.studWeekDetail, _this.fromDate, _this.toDate);
                }
                else {
                    _this.service.hide();
                    _this.studWeekDetail = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */] + " ", error);
        });
    };
    LunchPage.prototype.getNextLunch = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */],
            this.currentDate,
            this.currentType = "N"
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            var regex = new RegExp(" ", 'g');
            if (data.MobLunchweekListResult == "[]" || data.MobLunchweekListResult == "No data") {
                _this.service.hide();
                // this.service.showToast("No Data Available");
            }
            else {
                var studNextLunch = JSON.parse(data.MobLunchweekListResult);
                if (studNextLunch.length > 0) {
                    _this.service.hide();
                    _this.studWeekDetail = studNextLunch;
                    _this.fromDate = _this.studWeekDetail[0].Sun.replace(regex, '-');
                    _this.toDate = _this.studWeekDetail[0].Sat.replace(regex, '-');
                    _this.getLunchDetails();
                    console.log("Student Lunch Information", _this.studWeekDetail, _this.fromDate, _this.toDate);
                }
                else {
                    _this.service.hide();
                    _this.studWeekDetail = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_82" /* WEEK_LIST */] + " ", error);
        });
    };
    LunchPage.prototype.getLunchDetails = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_74" /* STUD_LMLIST */],
            this.fromDate,
            this.toDate,
            this.studLunList.Swsid,
            this.studLunList.Swsi
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobStudLunchMenuListResult == "[]" || data.MobStudLunchMenuListResult == "No data") {
                _this.studLunchMenuDetail = [];
                // this.service.showToast("No Data Available");
            }
            else {
                var studLunchMenu = JSON.parse(data.MobStudLunchMenuListResult);
                if (studLunchMenu.length > 0) {
                    debugger;
                    _this.studLunchMenuDetail = studLunchMenu;
                    console.log("Student Lunch Menu Information", _this.studLunchMenuDetail);
                }
                else {
                    _this.studLunchMenuDetail = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_74" /* STUD_LMLIST */] + " ", error);
        });
    };
    LunchPage.prototype.getdetail = function (stat) {
        debugger;
        this.status = stat;
        return stat;
    };
    LunchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-lunch',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\lunch\lunch.html"*/'\n<ion-header>\n  <commonheader></commonheader>\n</ion-header>\n\n<ion-content >\n    <div style="padding: 5px 13px;">  \n      <h3 class="heading">\n        Lunch\n      </h3>\n    </div>\n    <div style="padding: 0px 13px;">\n      <ul class="weekul">\n        <li (click)= "previousWeek()" [ngClass]="{\'active\':currentType == \'P\'}">\n          <a>Previous Week</a>\n        </li>\n        <li (click) = "currentWeek()" [ngClass]="{\'active\':currentType == \'C\'}">\n          <a>Current Week</a>\n        </li>\n        <li (click) = "neWeek()" [ngClass]="{\'active\':currentType == \'N\'}">\n          <a>Next Week</a>\n        </li>\n      </ul>\n    </div>\n  <section style="padding: 5px 13px;">\n\n    <ion-card class="buscard"  *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Sunday \n        <span style="float: right"> <small> {{week.Sun}}</small></span>\n      </ion-card-header>\n     <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n      <div *ngFor="let lunch of studLunchMenuDetail">\n        <ul class="lunch-details" *ngIf = "week.Sun == lunch.Ld">            \n          <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span>  \n          <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n        </ul>\n      </div>     \n      <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n        No Record Found\n      </div>\n      </ion-card-content>          \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Monday \n        <span style="float: right"> <small> {{week.Mon}}</small></span>\n      </ion-card-header>\n     <ion-card-content style="padding: 1px 20px;color:#6b6b6b" >\n      <div *ngFor="let lunch of studLunchMenuDetail">\n        <ul class="lunch-details" *ngIf="week.Mon === lunch.Ld">\n          <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n          <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n        </ul>\n      </div>\n      <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n        No Record Found\n      </div>  \n      </ion-card-content>          \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Tuesday \n        <span style="float: right"> <small> {{week.Tue}}</small></span>\n      </ion-card-header>\n      <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n        <div *ngFor="let lunch of studLunchMenuDetail">        \n          <ul class="lunch-details" *ngIf="week.Tue === lunch.Ld">\n            <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n            <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n          </ul>\n        </div>\n        <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n          No Record Found\n        </div>  \n      </ion-card-content>            \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Wednesday \n        <span style="float: right"> <small> {{week.Wed}}</small></span>\n      </ion-card-header>\n      <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n        <div *ngFor="let lunch of studLunchMenuDetail">        \n          <ul class="lunch-details" *ngIf="week.Wed === lunch.Ld">\n            <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n            <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n        </ul>\n        </div> \n        <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n          No Record Found\n        </div> \n      </ion-card-content>            \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Thursday \n        <span style="float: right"> <small> {{week.Thu}}</small></span>\n      </ion-card-header>\n      <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n        <div *ngFor="let lunch of studLunchMenuDetail">        \n          <ul class="lunch-details" *ngIf="week.Thu === lunch.Ld">\n            <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n            <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n          </ul>\n        </div> \n        <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n          No Record Found\n        </div> \n      </ion-card-content>            \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Friday \n        <span style="float: right"> <small> {{week.Fri}}</small></span>\n      </ion-card-header>\n      <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n        <div *ngFor="let lunch of studLunchMenuDetail">        \n          <ul class="lunch-details" *ngIf="week.Fri === lunch.Ld">\n            <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n            <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n          </ul>\n        </div>\n        <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n          No Record Found\n        </div>  \n      </ion-card-content>            \n    </ion-card>\n\n    <ion-card class="buscard" *ngFor="let week of studWeekDetail">\n      <ion-card-header>\n        Saturday \n        <span style="float: right"> <small> {{week.Sat}}</small></span>\n      </ion-card-header>\n      <ion-card-content style="padding: 1px 20px;color:#6b6b6b">\n        <div *ngFor="let lunch of studLunchMenuDetail">        \n          <ul class="lunch-details" *ngIf="week.Sat === lunch.Ld">\n            <span *ngIf="lunch.Ldt !=\'\' " [innerHTML]="lunch.Ldt"></span> \n            <span *ngIf="lunch.Ldt ==\'\' "> No Record Found</span>   \n          </ul>\n        </div>\n        <div style="margin: 8px" *ngIf="studLunchMenuDetail.length == 0">\n          No Record Found\n        </div>  \n      </ion-card-content>            \n    </ion-card>\n\n  </section>\n</ion-content>\n\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n   '/*ion-inline-end:"D:\Mohan\TSUS\src\pages\lunch\lunch.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], LunchPage);
    return LunchPage;
}());

//# sourceMappingURL=lunch.js.map

/***/ }),

/***/ 983:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LunchPageModule", function() { return LunchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__lunch__ = __webpack_require__(1051);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LunchPageModule = /** @class */ (function () {
    function LunchPageModule() {
    }
    LunchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__lunch__["a" /* LunchPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__lunch__["a" /* LunchPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], LunchPageModule);
    return LunchPageModule;
}());

//# sourceMappingURL=lunch.module.js.map

/***/ })

});
//# sourceMappingURL=28.js.map