webpackJsonp([3],{

/***/ 1020:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export MY_FORMATS */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AlertsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_common__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_material__ = __webpack_require__(540);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_material_moment_adapter__ = __webpack_require__(1021);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var moment = __WEBPACK_IMPORTED_MODULE_9_moment___default.a || __WEBPACK_IMPORTED_MODULE_9_moment__;
var MY_FORMATS = {
    parse: {
        dateInput: 'DD-MM-YYYY',
    },
    display: {
        dateInput: 'DD-MM-YYYY',
        monthYearLabel: 'MMM YYYY',
        dateA11yLabel: 'LL',
        monthYearA11yLabel: 'MMMM YYYY',
    },
};
var AlertsPage = /** @class */ (function () {
    function AlertsPage(navCtrl, navParams, events, service, userData, storage, datePipe, alertCtrl, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.datePipe = datePipe;
        this.alertCtrl = alertCtrl;
        this.zone = zone;
        this.studentAlertList = {};
        this.monthAlertList = [];
        this.alertListView = [];
        this.alertDetList = [];
        this.notificationList = [];
        this.fromdate = new Date();
        this.todate = new Date();
        this.mindate = new Date();
        this.maxdate = new Date();
        this.service.loadingflag = 0;
        this.tabSelect = 'Notifications';
        debugger;
        this.todate = new Date();
        this.fromdate = new Date(this.fromdate.setMonth(this.todate.getMonth() - 3));
        this.events.subscribe("AlertsPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentAlertList = data;
                _this.userData.getValidateLoggedUser().then(function (logData) {
                    if (logData != null) {
                        _this.tabSelect = 'Notifications';
                        _this.todate = new Date();
                        _this.fromdate = new Date(_this.fromdate.setMonth(_this.todate.getMonth() - 3));
                        _this.zone.run(function () {
                            _this.studentInfo = logData;
                            _this.selectedDate();
                        });
                    }
                });
            }
        });
        this.service.getCurrentStudentData().then(function (currentstuddata) {
            if (currentstuddata != null) {
                debugger;
                _this.studentAlertList = currentstuddata;
                _this.userData.getValidateLoggedUser().then(function (logData) {
                    if (logData != null) {
                        _this.zone.run(function () {
                            _this.studentInfo = logData;
                            _this.storage.get("alertNotify").then(function (notifyData) {
                                if (notifyData == null) {
                                }
                                else {
                                    _this.refid = notifyData.message.Refid;
                                    _this.storage.remove("alertNotify");
                                }
                                _this.selectedDate();
                            });
                        });
                    }
                });
            }
        });
        this.events.subscribe("alerttab", function (tabData) {
            _this.service.getCurrentStudentData().then(function (currentstuddata) {
                if (currentstuddata != null) {
                    debugger;
                    _this.studentAlertList = currentstuddata;
                    _this.userData.getValidateLoggedUser().then(function (logData) {
                        if (logData != null) {
                            _this.zone.run(function () {
                                _this.studentInfo = logData;
                                _this.storage.get("alertNotify").then(function (notifyData) {
                                    if (notifyData == null) {
                                    }
                                    else {
                                        _this.refid = notifyData.message.Refid;
                                        _this.storage.remove("alertNotify");
                                    }
                                    _this.selectedDate();
                                });
                            });
                        }
                    });
                }
            });
            _this.events.unsubscribe("alerttab");
        });
    }
    AlertsPage.prototype.ionViewWillUnload = function () {
        this.events.unsubscribe("AlertsPage");
        this.events.unsubscribe("alerttab");
    };
    AlertsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad AlertsPage');
    };
    AlertsPage.prototype.gotoalertdetail = function (data) {
        debugger;
        this.navCtrl.push('AlertDetailPage', { data: data });
    };
    AlertsPage.prototype.selectedDate = function () {
        debugger;
        this.todate = new Date();
        this.fromdate = new Date();
        this.fromdate = new Date(this.fromdate.setMonth(this.todate.getMonth() - 3));
        this.mindate = new Date(this.fromdate);
        this.maxdate = new Date(this.todate);
        this.getNotify();
        this.getAlertList();
    };
    AlertsPage.prototype.getAlertList = function () {
        var _this = this;
        debugger;
        if (Date.parse(this.fromdate) > Date.parse(this.todate)) {
            this.alertListView = [];
            this.service.showToast("Please select valid from date & to date");
        }
        else {
            var params = [
                __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["J" /* EMAIL_ALERTLIST */],
                this.studentAlertList.Swsi,
                this.studentAlertList.Swfi,
                this.getDate(this.fromdate),
                this.getDate(this.todate),
                this.studentInfo.Gid
            ];
            this.service.show();
            var url = this.service.getFormattedUrl(params);
            this.service.getMethod(url).subscribe(function (data) {
                if (data.GetMobEmailAlertlistResult == "[]" || data.GetMobEmailAlertlistResult == "No Data") {
                    _this.service.hide();
                    _this.alertListView = [];
                }
                else {
                    _this.service.hide();
                    var obj_1 = JSON.parse(data.GetMobEmailAlertlistResult);
                    if (obj_1.length > 0) {
                        _this.zone.run(function () {
                            _this.alertListView = obj_1;
                            console.log("Alert List View", _this.alertListView);
                        });
                    }
                    else {
                        _this.service.hide();
                        _this.alertListView = [];
                    }
                }
            }, function (error) {
                _this.service.hide();
                console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["J" /* EMAIL_ALERTLIST */] + " ", error);
            });
        }
    };
    //Notification Screen
    AlertsPage.prototype.getNotify = function () {
        var _this = this;
        debugger;
        if (Date.parse(this.fromdate) > Date.parse(this.todate)) {
            this.notificationList = [];
            this.service.showToast("Please select valid from date & to date");
        }
        else {
            var params = [
                __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["Y" /* GET_NOTIFY */],
                this.studentAlertList.Swsi,
                this.getDate(this.fromdate),
                this.getDate(this.todate),
                this.studentInfo.Gid
            ];
            var url = this.service.getFormattedUrl(params);
            this.service.getMethod(url).subscribe(function (data) {
                if (data.GetNotificationListsResult == "[]" || data.GetNotificationListsResult == "No Data") {
                    _this.notificationList = [];
                }
                else {
                    var obj_2 = JSON.parse(data.GetNotificationListsResult);
                    if (obj_2.length > 0) {
                        _this.zone.run(function () {
                            _this.notificationList = obj_2;
                            console.log("Notification List", _this.notificationList);
                        });
                    }
                    else {
                        _this.notificationList = [];
                    }
                }
            }, function (error) {
                console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["Y" /* GET_NOTIFY */] + " ", error);
            });
        }
    };
    AlertsPage.prototype.getDate = function (date) {
        return this.datePipe.transform(date, 'dd-MMM-yyyy');
    };
    AlertsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-alerts',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\alerts\alerts.html"*/'<ion-header> \n  <commonheader></commonheader>\n</ion-header> \n \n<ion-content >\n  <div style="min-height:30px;padding:0px;margin-bottom: 10px">\n    <ul class="sliderr" style="margin-top:0px;margin-top: 0px;-webkit-padding-start: 0px;margin-bottom: 0px;">\n      <li [ngClass]="{\'active\': (tabSelect == \'Notifications\')}" (click)="tabSelect = \'Notifications\';selectedDate()"> \n        <div class="headli"><span>Notifications</span></div>\n      </li>\n      <li [ngClass]="{\'active\': (tabSelect == \'Alerts\')}" (click)="tabSelect = \'Alerts\';selectedDate()"> \n        <div class="headlis"><span>Mail Alerts</span></div>\n      </li>\n    </ul>\n  </div> \n  \n  <div *ngIf="tabSelect == \'Alerts\'">\n    <section>\n      <table class="searchinf">\n        <tr>\n          <td>\n            <ion-label class="labelvalue">From</ion-label>\n          </td>\n          <td>\n            <mat-form-field>  \n              <mat-datepicker-toggle matprefix [for]="from"></mat-datepicker-toggle>\n              <mat-datepicker #from disabled="false"></mat-datepicker>                          \n              <input matInput [max]="maxdate" [matDatepicker]="from"  [(ngModel)]="fromdate" (dateChange)="getAlertList()" disabled>\n            </mat-form-field>\n          </td>\n          <td>\n            <ion-label class="labelvalue">To</ion-label>\n          </td>\n          <td>\n            <mat-form-field>\n              <mat-datepicker-toggle matSuffix [for]="to"></mat-datepicker-toggle>\n              <mat-datepicker #to disabled="false"></mat-datepicker>                            \n              <input matInput [max]="maxdate" [matDatepicker]="to"  [(ngModel)]="todate" (dateChange)="getAlertList()" disabled>\n            </mat-form-field>\n          </td>\n        </tr> \n      </table>\n    </section>\n    <section style="padding: 0px 12px 0px 12px"> \n      <ion-card class="circard" [hidden] = "alertListView.length==0">       \n        <ion-list>\n          <button ion-item *ngFor="let list of alertListView" (click)="gotoalertdetail(list)">\n            <ion-icon name="notifications" item-start></ion-icon>\n            <h2>{{list.Es}}</h2>\n            <h3>{{list.Ec}}</h3>\n            <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n          </button>\n        </ion-list>        \n      </ion-card>\n      <div style = "padding: 100px 0px;text-align: center;" *ngIf = "alertListView.length == 0">\n        No Records Avilable\n      </div>\n    </section>\n  </div>  \n\n  <div *ngIf="tabSelect == \'Notifications\'">\n    <section>\n      <table class="searchinf">\n        <tr>\n          <td>\n            <ion-label class="labelvalue">From</ion-label>\n          </td>\n          <td>\n            <mat-form-field>  \n              <mat-datepicker-toggle matprefix [for]="picker"></mat-datepicker-toggle>\n              <mat-datepicker #picker disabled="false"></mat-datepicker>                          \n              <input matInput [max]="maxdate" [matDatepicker]="picker"  [(ngModel)]="fromdate" (dateChange)="getNotify()" disabled>\n            </mat-form-field>\n          </td>\n          <td>\n            <ion-label class="labelvalue">To</ion-label>\n          </td>\n          <td>\n            <mat-form-field>\n              <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>\n              <mat-datepicker #picker1 disabled="false"></mat-datepicker>                            \n              <input matInput [max]="maxdate" [matDatepicker]="picker1"  [(ngModel)]="todate" (dateChange)="getNotify()" disabled>\n            </mat-form-field>\n          </td>\n        </tr> \n      </table>\n    </section>\n    <section style="padding: 0px 12px 0px 12px">       \n      <ion-card class="circard" [hidden]="notificationList.length==0">  \n        <ion-list>\n          <button ion-item *ngFor="let notify of notificationList">\n            <ion-icon style="color:#bebebe" name="alert" item-start></ion-icon>\n            <h2 [innerHTML]="notify.NM"></h2>\n            <h3>{{notify.Nd}}</h3>\n          </button>\n        </ion-list>     \n      </ion-card>\n      <div style = "padding: 100px 0px;text-align: center;" *ngIf = "notificationList.length == 0">\n        No Records Avilable\n      </div>\n    </section>\n  </div>\n</ion-content>\n\n<ion-footer>\n  \n</ion-footer>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\alerts\alerts.html"*/,
            providers: [
                { provide: __WEBPACK_IMPORTED_MODULE_7__angular_material__["a" /* DateAdapter */], useClass: __WEBPACK_IMPORTED_MODULE_8__angular_material_moment_adapter__["a" /* MomentDateAdapter */], deps: [__WEBPACK_IMPORTED_MODULE_7__angular_material__["c" /* MAT_DATE_LOCALE */]] },
                { provide: __WEBPACK_IMPORTED_MODULE_7__angular_material__["b" /* MAT_DATE_FORMATS */], useValue: MY_FORMATS },
            ],
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_6__angular_common__["d" /* DatePipe */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], AlertsPage);
    return AlertsPage;
}());

//# sourceMappingURL=alerts.js.map

/***/ }),

/***/ 1021:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export MomentDateModule */
/* unused harmony export MatMomentDateModule */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MomentDateAdapter; });
/* unused harmony export MAT_MOMENT_DATE_FORMATS */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_material__ = __webpack_require__(540);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_tslib__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_moment__);
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */







/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

var moment = __WEBPACK_IMPORTED_MODULE_3_moment___default.a || __WEBPACK_IMPORTED_MODULE_3_moment__;
/**
 * Creates an array and fills it with values.
 * @template T
 * @param {?} length
 * @param {?} valueFunction
 * @return {?}
 */
function range(length, valueFunction) {
    var /** @type {?} */ valuesArray = Array(length);
    for (var /** @type {?} */ i = 0; i < length; i++) {
        valuesArray[i] = valueFunction(i);
    }
    return valuesArray;
}
/**
 * Adapts Moment.js Dates for use with Angular Material.
 */
var MomentDateAdapter = /** @class */ (function (_super) {
    Object(__WEBPACK_IMPORTED_MODULE_2_tslib__["b" /* __extends */])(MomentDateAdapter, _super);
    function MomentDateAdapter(dateLocale) {
        var _this = _super.call(this) || this;
        _this.setLocale(dateLocale || moment.locale());
        return _this;
    }
    /**
     * @param {?} locale
     * @return {?}
     */
    MomentDateAdapter.prototype.setLocale = /**
     * @param {?} locale
     * @return {?}
     */
    function (locale) {
        var _this = this;
        _super.prototype.setLocale.call(this, locale);
        var /** @type {?} */ momentLocaleData = moment.localeData(locale);
        this._localeData = {
            firstDayOfWeek: momentLocaleData.firstDayOfWeek(),
            longMonths: momentLocaleData.months(),
            shortMonths: momentLocaleData.monthsShort(),
            dates: range(31, function (i) { return _this.createDate(2017, 0, i + 1).format('D'); }),
            longDaysOfWeek: momentLocaleData.weekdays(),
            shortDaysOfWeek: momentLocaleData.weekdaysShort(),
            narrowDaysOfWeek: momentLocaleData.weekdaysMin(),
        };
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getYear = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).year();
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getMonth = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).month();
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getDate = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).date();
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getDayOfWeek = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).day();
    };
    /**
     * @param {?} style
     * @return {?}
     */
    MomentDateAdapter.prototype.getMonthNames = /**
     * @param {?} style
     * @return {?}
     */
    function (style) {
        // Moment.js doesn't support narrow month names, so we just use short if narrow is requested.
        return style == 'long' ? this._localeData.longMonths : this._localeData.shortMonths;
    };
    /**
     * @return {?}
     */
    MomentDateAdapter.prototype.getDateNames = /**
     * @return {?}
     */
    function () {
        return this._localeData.dates;
    };
    /**
     * @param {?} style
     * @return {?}
     */
    MomentDateAdapter.prototype.getDayOfWeekNames = /**
     * @param {?} style
     * @return {?}
     */
    function (style) {
        if (style == 'long') {
            return this._localeData.longDaysOfWeek;
        }
        if (style == 'short') {
            return this._localeData.shortDaysOfWeek;
        }
        return this._localeData.narrowDaysOfWeek;
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getYearName = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).format('YYYY');
    };
    /**
     * @return {?}
     */
    MomentDateAdapter.prototype.getFirstDayOfWeek = /**
     * @return {?}
     */
    function () {
        return this._localeData.firstDayOfWeek;
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.getNumDaysInMonth = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).daysInMonth();
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.clone = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return date.clone().locale(this.locale);
    };
    /**
     * @param {?} year
     * @param {?} month
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.createDate = /**
     * @param {?} year
     * @param {?} month
     * @param {?} date
     * @return {?}
     */
    function (year, month, date) {
        // Moment.js will create an invalid date if any of the components are out of bounds, but we
        // explicitly check each case so we can throw more descriptive errors.
        if (month < 0 || month > 11) {
            throw Error("Invalid month index \"" + month + "\". Month index has to be between 0 and 11.");
        }
        if (date < 1) {
            throw Error("Invalid date \"" + date + "\". Date has to be greater than 0.");
        }
        var /** @type {?} */ result = moment({ year: year, month: month, date: date }).locale(this.locale);
        // If the result isn't valid, the date must have been out of bounds for this month.
        if (!result.isValid()) {
            throw Error("Invalid date \"" + date + "\" for month with index \"" + month + "\".");
        }
        return result;
    };
    /**
     * @return {?}
     */
    MomentDateAdapter.prototype.today = /**
     * @return {?}
     */
    function () {
        return moment().locale(this.locale);
    };
    /**
     * @param {?} value
     * @param {?} parseFormat
     * @return {?}
     */
    MomentDateAdapter.prototype.parse = /**
     * @param {?} value
     * @param {?} parseFormat
     * @return {?}
     */
    function (value, parseFormat) {
        if (value && typeof value == 'string') {
            return moment(value, parseFormat, this.locale);
        }
        return value ? moment(value).locale(this.locale) : null;
    };
    /**
     * @param {?} date
     * @param {?} displayFormat
     * @return {?}
     */
    MomentDateAdapter.prototype.format = /**
     * @param {?} date
     * @param {?} displayFormat
     * @return {?}
     */
    function (date, displayFormat) {
        date = this.clone(date);
        if (!this.isValid(date)) {
            throw Error('MomentDateAdapter: Cannot format invalid date.');
        }
        return date.format(displayFormat);
    };
    /**
     * @param {?} date
     * @param {?} years
     * @return {?}
     */
    MomentDateAdapter.prototype.addCalendarYears = /**
     * @param {?} date
     * @param {?} years
     * @return {?}
     */
    function (date, years) {
        return this.clone(date).add({ years: years });
    };
    /**
     * @param {?} date
     * @param {?} months
     * @return {?}
     */
    MomentDateAdapter.prototype.addCalendarMonths = /**
     * @param {?} date
     * @param {?} months
     * @return {?}
     */
    function (date, months) {
        return this.clone(date).add({ months: months });
    };
    /**
     * @param {?} date
     * @param {?} days
     * @return {?}
     */
    MomentDateAdapter.prototype.addCalendarDays = /**
     * @param {?} date
     * @param {?} days
     * @return {?}
     */
    function (date, days) {
        return this.clone(date).add({ days: days });
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.toIso8601 = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).format();
    };
    /**
     * Returns the given value if given a valid Moment or null. Deserializes valid ISO 8601 strings
     * (https://www.ietf.org/rfc/rfc3339.txt) and valid Date objects into valid Moments and empty
     * string into null. Returns an invalid date for all other values.
     */
    /**
     * Returns the given value if given a valid Moment or null. Deserializes valid ISO 8601 strings
     * (https://www.ietf.org/rfc/rfc3339.txt) and valid Date objects into valid Moments and empty
     * string into null. Returns an invalid date for all other values.
     * @param {?} value
     * @return {?}
     */
    MomentDateAdapter.prototype.deserialize = /**
     * Returns the given value if given a valid Moment or null. Deserializes valid ISO 8601 strings
     * (https://www.ietf.org/rfc/rfc3339.txt) and valid Date objects into valid Moments and empty
     * string into null. Returns an invalid date for all other values.
     * @param {?} value
     * @return {?}
     */
    function (value) {
        var /** @type {?} */ date;
        if (value instanceof Date) {
            date = moment(value);
        }
        if (typeof value === 'string') {
            if (!value) {
                return null;
            }
            date = moment(value, moment.ISO_8601).locale(this.locale);
        }
        if (date && this.isValid(date)) {
            return date;
        }
        return _super.prototype.deserialize.call(this, value);
    };
    /**
     * @param {?} obj
     * @return {?}
     */
    MomentDateAdapter.prototype.isDateInstance = /**
     * @param {?} obj
     * @return {?}
     */
    function (obj) {
        return moment.isMoment(obj);
    };
    /**
     * @param {?} date
     * @return {?}
     */
    MomentDateAdapter.prototype.isValid = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return this.clone(date).isValid();
    };
    /**
     * @return {?}
     */
    MomentDateAdapter.prototype.invalid = /**
     * @return {?}
     */
    function () {
        return moment.invalid();
    };
    MomentDateAdapter.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["C" /* Injectable */] },
    ];
    /** @nocollapse */
    MomentDateAdapter.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Optional */] }, { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Inject */], args: [__WEBPACK_IMPORTED_MODULE_1__angular_material__["c" /* MAT_DATE_LOCALE */],] },] },
    ]; };
    return MomentDateAdapter;
}(__WEBPACK_IMPORTED_MODULE_1__angular_material__["a" /* DateAdapter */]));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

var MAT_MOMENT_DATE_FORMATS = {
    parse: {
        dateInput: 'l',
    },
    display: {
        dateInput: 'l',
        monthYearLabel: 'MMM YYYY',
        dateA11yLabel: 'LL',
        monthYearA11yLabel: 'MMMM YYYY',
    },
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

var MomentDateModule = /** @class */ (function () {
    function MomentDateModule() {
    }
    MomentDateModule.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */], args: [{
                    providers: [
                        __WEBPACK_IMPORTED_MODULE_1__angular_material__["d" /* MAT_DATE_LOCALE_PROVIDER */],
                        { provide: __WEBPACK_IMPORTED_MODULE_1__angular_material__["a" /* DateAdapter */], useClass: MomentDateAdapter, deps: [__WEBPACK_IMPORTED_MODULE_1__angular_material__["c" /* MAT_DATE_LOCALE */]] }
                    ],
                },] },
    ];
    /** @nocollapse */
    MomentDateModule.ctorParameters = function () { return []; };
    return MomentDateModule;
}());
var ɵ0 = MAT_MOMENT_DATE_FORMATS;
var MatMomentDateModule = /** @class */ (function () {
    function MatMomentDateModule() {
    }
    MatMomentDateModule.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */], args: [{
                    imports: [MomentDateModule],
                    providers: [{ provide: __WEBPACK_IMPORTED_MODULE_1__angular_material__["b" /* MAT_DATE_FORMATS */], useValue: ɵ0 }],
                },] },
    ];
    /** @nocollapse */
    MatMomentDateModule.ctorParameters = function () { return []; };
    return MatMomentDateModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */


//# sourceMappingURL=material-moment-adapter.es5.js.map


/***/ }),

/***/ 952:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AlertsPageModule", function() { return AlertsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__alerts__ = __webpack_require__(1020);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_material__ = __webpack_require__(540);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var AlertsPageModule = /** @class */ (function () {
    function AlertsPageModule() {
    }
    AlertsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__alerts__["a" /* AlertsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__alerts__["a" /* AlertsPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_4__angular_material__["f" /* MatDatepickerModule */]
            ],
            schemas: [__WEBPACK_IMPORTED_MODULE_0__angular_core__["i" /* CUSTOM_ELEMENTS_SCHEMA */]]
        })
    ], AlertsPageModule);
    return AlertsPageModule;
}());

//# sourceMappingURL=alerts.module.js.map

/***/ })

});
//# sourceMappingURL=3.js.map