webpackJsonp([33],{

/***/ 1046:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomesidePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HomesidePage = /** @class */ (function () {
    function HomesidePage(navCtrl, navParams, modal, service, userData, app, events, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modal = modal;
        this.service = service;
        this.userData = userData;
        this.app = app;
        this.events = events;
        this.zone = zone;
        this.studentList = {};
        this.homeListView = [];
        this.eventListView = [];
        debugger;
        console.log("HomesidePage", this.service.student_list);
        this.events.subscribe("HomesidePage", function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.getHomeValues();
                _this.getEventsDetails();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.zone.run(function () {
                            _this.studentInfo = data;
                            _this.getHomeValues();
                            _this.getEventsDetails();
                        });
                    }
                });
            }
        });
    }
    HomesidePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HomesidePage');
    };
    HomesidePage.prototype.openmodal2 = function () {
        var myModal = this.modal.create('StudentSelectPage');
        myModal.present();
    };
    HomesidePage.prototype.gotoinner = function (data) {
        var myModal = this.modal.create('HomesideInnerPage', data);
        myModal.present();
    };
    HomesidePage.prototype.getHomeValues = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_8" /* HOME_DASHBOARD */],
            this.studentList.Swsi,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetMobHomeDashBoardResult == "[]" || data.GetMobHomeDashBoardResult == "No Data") {
                _this.service.hide();
                _this.homeListView = [];
            }
            else {
                _this.service.hide();
                var homeList_1 = JSON.parse(data.GetMobHomeDashBoardResult);
                if (homeList_1.length > 0) {
                    _this.zone.run(function () {
                        _this.homeListView = homeList_1;
                        console.log("Home List View", _this.homeListView);
                    });
                }
                else {
                    _this.service.hide();
                    _this.homeListView = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_8" /* HOME_DASHBOARD */] + " ", error);
        });
    };
    HomesidePage.prototype.getEventsDetails = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["K" /* EVENTS_HAPPENINGS */],
            this.studentList.Swsi,
            this.studentList.Swsid,
            this.studentInfo.Ut,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.GetEventsHappeningTripsResult == "[]" || data.GetEventsHappeningTripsResult == "No Data") {
                _this.eventListView = [];
            }
            else {
                var eventList_1 = JSON.parse(data.GetEventsHappeningTripsResult);
                if (eventList_1.length > 0) {
                    _this.zone.run(function () {
                        _this.eventListView = eventList_1;
                        _this.eventListView.map(function (response) {
                            response.status = _this.eventsImage(response.Pho);
                            console.log(_this.eventsImage(response.Pho));
                        });
                        console.log("Event List View", _this.eventListView);
                    });
                }
                else {
                    _this.eventListView = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["K" /* EVENTS_HAPPENINGS */] + " ", error);
        });
    };
    HomesidePage.prototype.eventsImage = function (image_url) {
        var expression = /^https?\:\/\//i;
        var regex = new RegExp(expression);
        var t = image_url;
        if (t.match(regex)) {
            return true;
        }
        else {
            return false;
        }
    };
    HomesidePage.prototype.goLunchPage = function () {
        this.app.getRootNav().setRoot("LunchPage");
    };
    HomesidePage.prototype.goAttendancePage = function () {
        this.app.getRootNav().setRoot("AttendancePage");
    };
    HomesidePage.prototype.goFeesPage = function () {
        this.app.getRootNav().setRoot("StudentLedgerPage");
    };
    HomesidePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-homeside',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\homeside\homeside.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header>\n\n<ion-content >\n  <section style="padding: 15px;padding-bottom: 0px;" [hidden] = "eventListView.length == 0">\n    <h3 class="heading">\n      Events & Happenings\n    </h3>\n    <ul class="sliderr">\n      <li *ngFor="let event of eventListView">\n        <ion-card>\n          <div class="imgcl">\n            <img *ngIf="event.status == true" [src]="event.Pho">\n            <img *ngIf="event.status == false" src="assets/imgs/empty.png">\n          </div> \n          <ion-card-content>\n            <h4> {{event.EventsType}}</h4>\n            <ion-card-title>\n              {{event.Tpe}} \n            </ion-card-title>\n            <p>{{event.Wdc}}</p>\n            <p  style="color:#1667bd;float: right;margin: 5px 5px 10px 0px;" (click)="gotoinner(event)"><u>Read More</u></p>\n          </ion-card-content>\n        </ion-card>\n      </li>\n    </ul>\n  </section>\n\n  <section style="background:#e5e8ed" *ngFor="let home of homeListView">\n    <ul class="colorbox">\n      <li> \n        <button ion-item (click)="goLunchPage()">    \n          <div class="imgcircle" style="background: #5d78ff">\n            <img src="assets/imgs/food.png">\n          </div>\n          <div class="detai">\n          <h4 style="color:#5c77fe">Lunch</h4>\n          <span style="font-size:13px;white-space: normal;word-break: break-word;" [innerHTML]="home.Lun"></span>\n        </div>\n        </button>\n      </li>\n      <li>  \n        <button ion-item>          \n          <div class="imgcircle" style="background: #fd397a">\n            <img src="assets/imgs/library.png">  \n          </div>\n          <div class="detai">\n            <h4 style="color:#fd397a">Library</h4>\n            <p>Books Held by you: <span class="vall" >{{home.Bhd}}</span></p> \n            <p style="margin-top: 3px;">Due date:{{home.Mdd}}</p> \n          </div>         \n        </button>\n      </li>\n      <li>  \n        <button ion-item (click)="goAttendancePage()">\n          <div class="imgcircle" style="background: #1dc9b7">\n            <img src="assets/imgs/attendance.png">  \n          </div>\n          <div class="detai">\n            <h4 style="color:#1dc9b7">Attendance</h4>\n            <p><span class="vall" >{{home.Pap}}%</span></p> \n            <p style="margin-top: 3px;">Today: {{home.Tos}}</p> \n          </div>\n        </button>\n      </li>\n      <li>  \n        <button ion-item (click)="goFeesPage()">\n          <div class="imgcircle" style="background: #ffb822">\n            <img src="assets/imgs/fee.png">    \n          </div>\n          <div class="detai">\n            <h4 style="color:#ffb822">Fee Due</h4>\n            <p><span class="vall" >Rs {{home.Osa}}</span></p> \n            <p style="margin-top: 3px;">Already Paid Rs {{home.Apa}}</p> \n          </div>         \n        </button>\n      </li>\n    </ul>\n  </section>\n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\homeside\homeside.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* App */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], HomesidePage);
    return HomesidePage;
}());

//# sourceMappingURL=homeside.js.map

/***/ }),

/***/ 977:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomesidePageModule", function() { return HomesidePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homeside__ = __webpack_require__(1046);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomesidePageModule = /** @class */ (function () {
    function HomesidePageModule() {
    }
    HomesidePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homeside__["a" /* HomesidePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__homeside__["a" /* HomesidePage */]),
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], HomesidePageModule);
    return HomesidePageModule;
}());

//# sourceMappingURL=homeside.module.js.map

/***/ })

});
//# sourceMappingURL=33.js.map