webpackJsonp([39],{

/***/ 1040:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FindLocatonPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var FindLocatonPage = /** @class */ (function () {
    function FindLocatonPage(navCtrl, storage, view, navParams) {
        this.navCtrl = navCtrl;
        this.storage = storage;
        this.view = view;
        this.navParams = navParams;
        debugger;
        this.geocoder = new google.maps.Geocoder();
    }
    FindLocatonPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad FindLocatonPage');
        debugger;
        this.storage.get("currentlocation").then(function (location) {
            if (location != null) {
                _this.currLoc = location;
                _this.getAddress();
                _this.getCurrentAddress();
            }
        });
        this.navBar.backButtonClick = function (e) {
            // todo something
            _this.navCtrl.pop();
        };
    };
    FindLocatonPage.prototype.closeModal = function () {
        var object = {
            address: this.currentAddress,
            currlat: this.positionLat,
            currlng: this.positionLng
        };
        this.view.dismiss(object);
    };
    FindLocatonPage.prototype.getCurrentAddress = function () {
        var _this = this;
        var map = null;
        if (this.currLoc.lat != undefined && this.currLoc.lng != undefined) {
            var mapOptions = {
                zoom: 15,
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            var element = this.mapElement.nativeElement;
            map = new google.maps.Map(element, mapOptions);
            var curLoc = new google.maps.LatLng(this.currLoc.lat, this.currLoc.lng);
            var infowindow_1 = new google.maps.InfoWindow({
                map: map,
                position: curLoc,
            });
            var marker_1 = new google.maps.Marker({
                map: map,
                draggable: true,
                position: curLoc,
                icon: 'assets/icon/googlemarker.png'
            });
            this.geocoder.geocode({
                latLng: curLoc
            }, function (responses) {
                if (responses && responses.length > 0) {
                    _this.positionLat = responses[0].geometry.location.lat();
                    _this.positionLng = responses[0].geometry.location.lng();
                    _this.currentAddress = responses[0].formatted_address;
                    if (_this.currentAddress) {
                        infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                    }
                    else {
                        infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                    }
                    infowindow_1.open(map, marker_1);
                    console.log(_this.currentAddress, _this.positionLat);
                }
                else {
                    _this.marker.formatted_address = 'Cannot determine address at this location.';
                }
            });
            google.maps.event.addListener(marker_1, 'dragend', function () {
                infowindow_1.close();
                _this.geocoder.geocode({
                    latLng: marker_1.getPosition()
                }, function (responses) {
                    if (responses && responses.length > 0) {
                        _this.positionLat = responses[0].geometry.location.lat();
                        _this.positionLng = responses[0].geometry.location.lng();
                        _this.currentAddress = responses[0].formatted_address;
                        if (_this.currentAddress) {
                            infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                        }
                        else {
                            infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                        }
                        infowindow_1.open(map, marker_1);
                        console.log(_this.currentAddress, _this.positionLat);
                    }
                    else {
                        _this.marker.formatted_address = 'Cannot determine address at this location.';
                    }
                });
            });
            google.maps.event.addListener(marker_1, 'click', function () {
                debugger;
                if (_this.currentAddress) {
                    infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                }
                else {
                    infowindow_1.setContent(_this.currentAddress + "<br>coordinates: " + marker_1.getPosition().toUrlValue(6));
                }
                infowindow_1.open(map, marker_1);
            });
            map.setCenter(curLoc);
        }
    };
    FindLocatonPage.prototype.getAddress = function () {
        var _this = this;
        this.geocoder.geocode({
            latLng: this.currLoc
        }, function (responses) {
            if (responses && responses.length > 0) {
                _this.positionLat = responses[0].geometry.location.lat();
                _this.positionLng = responses[0].geometry.location.lng();
                _this.currentAddress = responses[0].formatted_address;
                google.maps.event.trigger(_this.marker, 'click');
            }
            else {
                // this.marker.formatted_address = 'Cannot determine address at this location.';
            }
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])("mapadd"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], FindLocatonPage.prototype, "mapElement", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Navbar */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Navbar */])
    ], FindLocatonPage.prototype, "navBar", void 0);
    FindLocatonPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-find-locaton',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\find-locaton\find-locaton.html"*/'\n<ion-header>\n  <ion-navbar>\n    <ion-buttons left>\n        <button ion-button icon-only (click)="closeModal()" class="my-style-for-modal">\n            <ion-icon name="arrow-back"></ion-icon>\n        </button>\n    </ion-buttons>\n    <ion-title>Plot my Pickup Location</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content no-padding>\n    <div #mapadd id="mapadd"></div>\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\find-locaton\find-locaton.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */]])
    ], FindLocatonPage);
    return FindLocatonPage;
}());

//# sourceMappingURL=find-locaton.js.map

/***/ }),

/***/ 971:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FindLocatonPageModule", function() { return FindLocatonPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__find_locaton__ = __webpack_require__(1040);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FindLocatonPageModule = /** @class */ (function () {
    function FindLocatonPageModule() {
    }
    FindLocatonPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__find_locaton__["a" /* FindLocatonPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__find_locaton__["a" /* FindLocatonPage */]),
            ],
        })
    ], FindLocatonPageModule);
    return FindLocatonPageModule;
}());

//# sourceMappingURL=find-locaton.module.js.map

/***/ })

});
//# sourceMappingURL=39.js.map