webpackJsonp([45],{

/***/ 1034:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EventsPhotoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var EventsPhotoPage = /** @class */ (function () {
    function EventsPhotoPage(navCtrl, navParams, view, events, service, userData, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.view = view;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.eventImage = {};
        this.studentEventList = {};
        this.imageGallery = [];
        debugger;
        this.eventImage = navParams.get('event');
        this.eventtitle = navParams.get('title');
        this.events.subscribe("EventsPhotoPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentEventList = data;
                _this.getImageList();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentEventList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getImageList();
                    }
                });
            }
        });
        this.storage.get("studentInfo").then(function (data) {
            _this.logo = data.Logo;
        });
    }
    EventsPhotoPage.prototype.closemodal = function () {
        this.view.dismiss();
    };
    EventsPhotoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EventsPhotoPage');
    };
    EventsPhotoPage.prototype.getImageList = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["M" /* EVENT_IMAGELIST */],
            this.eventImage.Eid,
            this.eventImage.Eft
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.EventImagelistResult == "[]" || data.EventImagelistResult == "No data") {
                _this.service.hide();
                _this.imageGallery = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.EventImagelistResult);
                if (obj.length > 0) {
                    _this.imageGallery = obj;
                    console.log("Gallery", _this.imageGallery);
                }
                else {
                    _this.service.hide();
                    _this.imageGallery = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["M" /* EVENT_IMAGELIST */] + " ", error);
        });
    };
    EventsPhotoPage.prototype.nextslide = function () {
        this.slides.slideNext();
    };
    EventsPhotoPage.prototype.prevslide = function () {
        this.slides.slidePrev();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_10" /* ViewChild */])('slides'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* Slides */])
    ], EventsPhotoPage.prototype, "slides", void 0);
    EventsPhotoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-events-photo',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\events-photo\events-photo.html"*/'<ion-header>\n  <ion-navbar >\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height:40px" [src]="logo"></ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div style="padding: 0px 5px 15px;">\n    <h4 style="font-size: 17px;font-weight: 500;color: #2d448c">{{eventtitle.en}} -\n      <span style="font-size: 16px;font-weight: 500;white-space: normal;word-break: break-word;color: rgba(0, 0, 0, 0.8);">\n        {{eventImage.Tc}}\n      </span>\n    </h4>\n  </div>\n\n  <ion-item no-lines style="background: #f1f2f4;">\n    <button clear item-start ion-button (click)="prevslide()" style="font-size: 17px">\n      <ion-icon name="ios-arrow-back" ></ion-icon>\n      <p style="margin-left: 10px;text-transform: none;font-size: 17px">Prev</p>\n    </button >\n    <button clear item-end ion-button (click)="nextslide()" style="font-size: 17px">\n      <p style="margin-right: 10px;text-transform: none;font-size:17px">Next</p>\n      <ion-icon name="ios-arrow-forward"></ion-icon>\n    </button>\n  </ion-item>\n\n  <ion-slides pager class="slideimg" #slides> \n    <ion-slide *ngFor="let image of imageGallery" style="align-items: inherit;">\n        <h4 style="margin-bottom: 15px;font-size: 15px">{{image.Pc}}</h4>\n        <img [src]="image.pn">\n        <br>\n        <br>\n    </ion-slide>\n  </ion-slides>\n\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\events-photo\events-photo.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */]])
    ], EventsPhotoPage);
    return EventsPhotoPage;
}());

//# sourceMappingURL=events-photo.js.map

/***/ }),

/***/ 965:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EventsPhotoPageModule", function() { return EventsPhotoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__events_photo__ = __webpack_require__(1034);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EventsPhotoPageModule = /** @class */ (function () {
    function EventsPhotoPageModule() {
    }
    EventsPhotoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__events_photo__["a" /* EventsPhotoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__events_photo__["a" /* EventsPhotoPage */]),
            ],
        })
    ], EventsPhotoPageModule);
    return EventsPhotoPageModule;
}());

//# sourceMappingURL=events-photo.module.js.map

/***/ })

});
//# sourceMappingURL=45.js.map