webpackJsonp([46],{

/***/ 1033:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EventInnerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var EventInnerPage = /** @class */ (function () {
    function EventInnerPage(navCtrl, navParams, events, modal, service, userData, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.modal = modal;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.list = {};
        this.studentEventList = {};
        this.eventList = [];
        debugger;
        this.list = navParams.get('data');
        this.events.subscribe("EventInnerPage", function (data) {
            if (data != null) {
                _this.studentEventList = data;
                _this.getEventName();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentEventList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getEventName();
                    }
                });
            }
        });
        this.storage.get("studentInfo").then(function (data) {
            _this.logo = data.Logo;
        });
    }
    EventInnerPage.prototype.gotoeventsphoto = function (data) {
        debugger;
        var obj = {
            event: data,
            title: this.list
        };
        this.navCtrl.push('EventsPhotoPage', obj);
    };
    EventInnerPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EventInnerPage');
    };
    EventInnerPage.prototype.getEventName = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["N" /* EVENT_LIST */],
            this.studentEventList.Swsid,
            this.list.en,
            this.studentEventList.Swsi,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.EventListResult == "[]" || data.EventListResult == "No data") {
                _this.service.hide();
                _this.eventList = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var obj = JSON.parse(data.EventListResult);
                if (obj.length > 0) {
                    _this.eventList = obj;
                    console.log("Event List", _this.eventList);
                }
                else {
                    _this.service.hide();
                    _this.eventList = [];
                }
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["N" /* EVENT_LIST */] + " ", error);
        });
    };
    EventInnerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-event-inner',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\event-inner\event-inner.html"*/'<ion-header>\n  <ion-navbar >\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title><img style="height:40px" [src]="logo"></ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <section style="padding: 15px 15px 10px">\n    <h3 class="heading" style="white-space: normal;word-break: break-word;">{{list.en}}</h3>\n  </section>\n\n  <section style="padding: 10px 15px">\n    <ion-card class="buscard" *ngFor="let event of eventList">\n      <ion-card-header >\n        <ion-item style="padding: 2px 12px;border-bottom: 1px solid #dedbdb96">\n          <ion-avatar item-start>\n            <img [src] ="event.Fl">\n          </ion-avatar>\n          <h2 style="white-space: normal;word-break: break-word;font-weight: 500;">{{event.Tc}}</h2>\n          <p style="font-size:13px">{{event.dft}}</p>\n        </ion-item>\n      </ion-card-header>\n      <ion-card-content style="margin-top: 10px;text-align: justify;">\n        <p>\n          {{event.Wd}}\n        </p>\n        <div *ngIf="event.Ci > 0" style="border-top: 1px solid #dedbdb96;margin-top: 10px">\n          <a (click)="gotoeventsphoto(event,list)"  style="color:#1667bd;margin-top:10px;display: inline-block;">View Image Gallery</a>\n        </div>\n      </ion-card-content>\n    </ion-card>\n  </section>\n\n</ion-content>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\event-inner\event-inner.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */]])
    ], EventInnerPage);
    return EventInnerPage;
}());

//# sourceMappingURL=event-inner.js.map

/***/ }),

/***/ 964:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EventInnerPageModule", function() { return EventInnerPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__event_inner__ = __webpack_require__(1033);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var EventInnerPageModule = /** @class */ (function () {
    function EventInnerPageModule() {
    }
    EventInnerPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__event_inner__["a" /* EventInnerPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__event_inner__["a" /* EventInnerPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], EventInnerPageModule);
    return EventInnerPageModule;
}());

//# sourceMappingURL=event-inner.module.js.map

/***/ })

});
//# sourceMappingURL=46.js.map