webpackJsonp([49],{

/***/ 1029:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ClassPhotosPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ClassPhotosPage = /** @class */ (function () {
    function ClassPhotosPage(navCtrl, navParams, events, service, userData, storage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.studentList = {};
        this.classList = [];
        this.monthList = [];
        this.photoList = [];
        this.currentClass = {};
        this.currentMonth = {};
        this.currentPhoto = {};
        this.events.subscribe("ClassPhotosPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.getClassList();
            }
        });
        this.service.getCurrentStudentData().then(function (data) {
            if (data != null) {
                debugger;
                _this.studentList = data;
                _this.userData.getValidateLoggedUser().then(function (data) {
                    if (data != null) {
                        _this.studentInfo = data;
                        _this.getClassList();
                    }
                });
            }
        });
    }
    ClassPhotosPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ClassPhotosPage');
    };
    ClassPhotosPage.prototype.getClassList = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_25" /* MOBHAP_CLASS */],
            this.studentInfo.Uno,
            this.studentList.Swsi,
            this.studentList.Swsid,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobHapClassListResult == "[]" || data.MobHapClassListResult == "No Data") {
                _this.classList = [];
                // this.service.showToast("No Data Available");        
            }
            else {
                var obj = JSON.parse(data.MobHapClassListResult);
                if (obj.length > 0) {
                    _this.classList = obj;
                    _this.currentClass = _this.classList[0];
                    _this.getMonthList();
                    console.log("Student Class Info", _this.classList);
                }
                else {
                    _this.classList = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_25" /* MOBHAP_CLASS */] + " ", error);
        });
    };
    ClassPhotosPage.prototype.getMonthList = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_27" /* MOBHAP_MONTH */],
            this.currentClass.Cid,
            this.studentList.Swsi,
            this.studentList.Swsid,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobHapMonthListResult == "[]" || data.MobHapMonthListResult == "No Data") {
                _this.monthList = [];
            }
            else {
                var obj = JSON.parse(data.MobHapMonthListResult);
                if (obj.length > 0) {
                    _this.monthList = obj;
                    _this.currentMonth = _this.monthList[0];
                    _this.getGalleryList();
                    console.log("Student Month Info", _this.monthList);
                }
                else {
                    _this.monthList = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_27" /* MOBHAP_MONTH */] + "", error);
        });
    };
    ClassPhotosPage.prototype.getGalleryList = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_26" /* MOBHAP_GALLERY */],
            this.currentClass.Cid,
            this.currentMonth.Mid,
            this.studentList.Swsi,
            this.studentList.Swsid,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.MobHapGalleryListResult == "[]" || data.MobHapGalleryListResult == "No Data") {
                _this.photoList = [];
            }
            else {
                var obj = JSON.parse(data.MobHapGalleryListResult);
                if (obj.length > 0) {
                    _this.photoList = obj;
                    _this.currentPhoto = _this.photoList[0];
                    console.log("Gallery List", _this.photoList);
                }
                else {
                    _this.photoList = [];
                }
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_26" /* MOBHAP_GALLERY */] + "", error);
        });
    };
    ClassPhotosPage.prototype.changePhoto = function (photo) {
        debugger;
        this.currentPhoto = photo;
    };
    ClassPhotosPage.prototype.classcompare = function (a, b) {
        if (a.Cn === b.Cn) {
            return true;
        }
        else {
            return false;
        }
    };
    ClassPhotosPage.prototype.monthcompare = function (a, b) {
        if (a.Mid === b.Mid) {
            return true;
        }
        else {
            return false;
        }
    };
    ClassPhotosPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-class-photos',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\class-photos\class-photos.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header> \n\n<ion-content>\n  <div style="background:#f0f1f3;padding: 10px">\n    <h3 class="heading">Class Photos</h3>\n    <ion-card class="buscard selcard" >     \n        <ion-card-content style="padding: 12px;">    \n            <div class="item"> \n                <label class="lightfont">Class</label>\n                <ion-select style="position: relative;" interface="popover" [(ngModel)] ="currentClass" [ngModelOptions]="{standalone: true}" [disabled]="classList.length == 0" (ionChange)="getMonthList()" [compareWith]="classcompare">\n                    <ion-option [value]="class" *ngFor="let class of classList">{{class.Cn}}</ion-option>\n                </ion-select>\n            </div>        \n            <div class="item">  \n                <label class="lightfont">Month</label>\n                <ion-select style="position: relative;" interface="popover" [(ngModel)]="currentMonth" [ngModelOptions]="{standalone: true}" [disabled]="monthList.length == 0" (ionChange)="getGalleryList()" [compareWith]="monthcompare">\n                    <ion-option [value]="month" *ngFor="let month of monthList">{{month.Mid}}</ion-option>\n                </ion-select>\n            </div>\n        </ion-card-content>      \n    </ion-card>\n  </div>\n\n  <div style="padding: 10px" [hidden]="monthList.length == 0 || classList.length == 0">\n    <ion-card class="buscard">\n      <ion-card-content style="padding: 12px;">\n        <img [src] = "currentPhoto.Pp" style="width: 100%;">\n        <h5>{{currentPhoto.Pc}}</h5>\n        <span>{{currentPhoto.Pd}}</span>\n      </ion-card-content>\n    </ion-card>\n  </div>\n\n  <div style="padding: 0px 10px 10px 10px" [hidden]="monthList.length == 0 || classList.length == 0"> \n    <ul class="sliderr">\n      <li *ngFor="let photo of photoList">\n        <ion-card>\n          <ion-card-content style="padding: 10px">\n            <table style="width: 100%">\n              <tr>\n                <td (click)="changePhoto(photo)">\n                  <img [src] = "photo.Pp" style="height: 150px;">\n                </td>\n              </tr>\n            </table>\n          </ion-card-content>\n        </ion-card>\n      </li>\n    </ul>\n  </div>\n\n  <div style = "margin-top: 100px;text-align: center;" *ngIf = "monthList.length == 0 || classList.length == 0">\n    No Records Avilable\n  </div>\n \n</ion-content>\n\n<ion-footer class="taby">\n  <commontab></commontab>\n</ion-footer>\n'/*ion-inline-end:"D:\Mohan\TSUS\src\pages\class-photos\class-photos.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */]])
    ], ClassPhotosPage);
    return ClassPhotosPage;
}());

//# sourceMappingURL=class-photos.js.map

/***/ }),

/***/ 960:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ClassPhotosPageModule", function() { return ClassPhotosPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__class_photos__ = __webpack_require__(1029);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ClassPhotosPageModule = /** @class */ (function () {
    function ClassPhotosPageModule() {
    }
    ClassPhotosPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__class_photos__["a" /* ClassPhotosPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__class_photos__["a" /* ClassPhotosPage */]),
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], ClassPhotosPageModule);
    return ClassPhotosPageModule;
}());

//# sourceMappingURL=class-photos.module.js.map

/***/ })

});
//# sourceMappingURL=49.js.map