webpackJsonp([50],{

/***/ 1028:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CircularPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var CircularPage = /** @class */ (function () {
    function CircularPage(navCtrl, navParams, events, service, userData, storage, zone) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.service = service;
        this.userData = userData;
        this.storage = storage;
        this.zone = zone;
        this.loginType = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["_22" /* LOGIN */];
        this.type = __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["x" /* CIRCULAR_TYPE */];
        this.studentCircularList = {};
        this.monthlyCircularView = [];
        this.CircularListView = [];
        this.msy = 0;
        this.service.loadingflag = 0;
        this.events.subscribe("CircularPage", function (data) {
            if (data != null) {
                debugger;
                _this.studentCircularList = data;
                _this.userData.getValidateLoggedUser().then(function (logdata) {
                    if (logdata != null) {
                        _this.zone.run(function () {
                            _this.studentInfo = logdata;
                            _this.getMonthCircular();
                        });
                    }
                });
            }
        });
        this.service.getCurrentStudentData().then(function (currentstuddata) {
            if (currentstuddata != null) {
                debugger;
                _this.studentCircularList = currentstuddata;
                _this.userData.getValidateLoggedUser().then(function (logData) {
                    if (logData != null) {
                        _this.zone.run(function () {
                            _this.studentInfo = logData;
                            _this.storage.get("circularNotify").then(function (notifydata) {
                                if (notifydata == null) {
                                }
                                else {
                                    _this.selectCurrYear = notifydata.message.CirMonth;
                                    _this.refid = notifydata.message.Refid;
                                    _this.storage.remove("circularNotify");
                                }
                                _this.getMonthCircular();
                            });
                        });
                    }
                });
            }
        });
        this.events.subscribe("circularTab", function (tabData) {
            _this.service.getCurrentStudentData().then(function (currentstuddata) {
                if (currentstuddata != null) {
                    debugger;
                    _this.studentCircularList = currentstuddata;
                    _this.userData.getValidateLoggedUser().then(function (logData) {
                        if (logData != null) {
                            _this.zone.run(function () {
                                _this.studentInfo = logData;
                                _this.storage.get("circularNotify").then(function (notifydata) {
                                    if (notifydata == null) {
                                    }
                                    else {
                                        _this.selectCurrYear = notifydata.message.CirMonth;
                                        _this.refid = notifydata.message.Refid;
                                        _this.storage.remove("circularNotify");
                                    }
                                    _this.getMonthCircular();
                                });
                            });
                        }
                    });
                }
            });
            _this.events.unsubscribe("circularTab");
        });
    }
    CircularPage.prototype.ionViewWillUnload = function () {
        this.events.unsubscribe("CircularPage");
        this.events.unsubscribe("circularTab");
    };
    CircularPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CircularPage');
    };
    CircularPage.prototype.gotocirculardetail = function (data) {
        debugger;
        this.navCtrl.push('CircularDetailPage', { "year": this.selectFirstValue, "list": data });
    };
    CircularPage.prototype.getMonthCircular = function () {
        var _this = this;
        debugger;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["A" /* CIRNB_MONTHLIST */],
            this.studentCircularList.Swpsid,
            this.loginType,
            this.studentCircularList.Swsi,
            this.type,
            this.studentInfo.Gid
        ];
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.CircularNBMonthlistResult == "[]" || data.CircularNBMonthlistResult == "No data") {
                _this.monthlyCircularView = [];
            }
            else {
                var monthCircul_1 = JSON.parse(data.CircularNBMonthlistResult);
                if (monthCircul_1.length > 0) {
                    _this.zone.run(function () {
                        _this.monthlyCircularView = monthCircul_1;
                        _this.monthlyCircularView.map(function (result) {
                            if (result.cm == _this.selectCurrYear) {
                                _this.msy = 1;
                                _this.selectFirstValue = result;
                                _this.getCircularList();
                            }
                        });
                        if (_this.msy != 1) {
                            _this.selectFirstValue = _this.monthlyCircularView[0];
                            _this.getCircularList();
                        }
                        console.log("Month View", _this.monthlyCircularView);
                    });
                }
                else {
                    _this.monthlyCircularView = [];
                }
                _this.msy = 0;
            }
        }, function (error) {
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["A" /* CIRNB_MONTHLIST */] + " ", error);
        });
    };
    CircularPage.prototype.getCircularList = function () {
        var _this = this;
        var params = [
            __WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["z" /* CIRNB_LIST */],
            this.studentCircularList.Swpsid,
            this.loginType,
            this.studentCircularList.Swsi,
            this.selectFirstValue.cm,
            this.type,
            this.studentInfo.Gid
        ];
        this.service.show();
        var url = this.service.getFormattedUrl(params);
        this.service.getMethod(url).subscribe(function (data) {
            if (data.CircularNBlistResult == "[]" || data.CircularNBlistResult == "No data") {
                _this.service.hide();
                _this.CircularListView = [];
                _this.service.showToast("No Data Available");
            }
            else {
                _this.service.hide();
                var CirculList_1 = JSON.parse(data.CircularNBlistResult);
                if (CirculList_1.length > 0) {
                    _this.zone.run(function () {
                        _this.CircularListView = CirculList_1;
                        _this.CircularListView.map(function (res) {
                            if (res.Nid == _this.refid) {
                                _this.navCtrl.push('CircularDetailPage', { "year": _this.selectFirstValue, "list": res });
                            }
                        });
                        console.log("List View", _this.CircularListView);
                    });
                }
                else {
                    _this.service.hide();
                    _this.CircularListView = [];
                }
                _this.selectCurrYear = '';
                _this.refid = '';
            }
        }, function (error) {
            _this.service.hide();
            console.log(__WEBPACK_IMPORTED_MODULE_4__models_apiMethod__["z" /* CIRNB_LIST */] + " ", error);
        });
    };
    CircularPage.prototype.viewCircular = function (a, b) {
        if (a.cm === b.cm) {
            return true;
        }
        else {
            return false;
        }
    };
    CircularPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-circular',template:/*ion-inline-start:"D:\Mohan\TSUS\src\pages\circular\circular.html"*/'<ion-header>\n  <commonheader></commonheader>\n</ion-header> \n \n<ion-content >\n  <section style="padding: 15px;padding-bottom: 0px;">\n    <h3 class="heading">\n      Circulars\n    </h3>\n    <ion-card class="circard selcard" style="padding: 0px;">       \n      <ion-card-content>\n        <div class="item"> \n          <label class="lightfont">View Circulars</label>\n          <ion-select style="position: relative" interface="popover" [(ngModel)]="selectFirstValue" (ionChange)="getCircularList()" [compareWith]="viewCircular">\n            <ion-option [value]="months" *ngFor="let months of monthlyCircularView">{{months.cm}}</ion-option>\n          </ion-select>\n        </div>           \n      </ion-card-content>     \n    </ion-card>\n  \n    <ion-card class="circard" [hidden]="CircularListView.length==0">       \n      <ion-list>      \n        <button ion-item  *ngFor="let list of CircularListView" (click)="gotocirculardetail(list)">\n          <!-- <ion-icon name="ios-create" item-start></ion-icon> -->\n          <ion-avatar item-start style="text-align: center;margin-right: 0px;">\n            <img style="width: 20px;height: 20px;display: inline-block;border-radius: 0px;" src="assets/imgs/circul.png">\n          </ion-avatar>\n          <h2>{{list.Ntt}}</h2>\n          <h3>{{list.Nsd}}</h3>\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n        </button>      \n      </ion-list>    \n    </ion-card> \n  </section>\n\n</ion-content>\n\n '/*ion-inline-end:"D:\Mohan\TSUS\src\pages\circular\circular.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_service_http_service__["a" /* HttpServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_data_user_data__["a" /* UserDataProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* NgZone */]])
    ], CircularPage);
    return CircularPage;
}());

//# sourceMappingURL=circular.js.map

/***/ }),

/***/ 959:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CircularPageModule", function() { return CircularPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__circular__ = __webpack_require__(1028);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CircularPageModule = /** @class */ (function () {
    function CircularPageModule() {
    }
    CircularPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["K" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__circular__["a" /* CircularPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__circular__["a" /* CircularPage */]), __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */]
            ],
        })
    ], CircularPageModule);
    return CircularPageModule;
}());

//# sourceMappingURL=circular.module.js.map

/***/ })

});
//# sourceMappingURL=50.js.map